GNU bug report logs - #56989
[PATCH v1 1/5] gnu: bqn: Add bqn.scm and dbqn package.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Christopher Rodriguez <yewscion@HIDDEN>; Keywords: patch; merged with #56990, #56991, #56992, #56993; dated Fri, 5 Aug 2022 02:21:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 56989 <at> debbugs.gnu.org:


Received: (at 56989) by debbugs.gnu.org; 8 Aug 2022 14:33:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 08 10:33:19 2022
Received: from localhost ([127.0.0.1]:41436 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oL3ok-0001pz-Tm
	for submit <at> debbugs.gnu.org; Mon, 08 Aug 2022 10:33:19 -0400
Received: from mail-qt1-f169.google.com ([209.85.160.169]:42968)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yewscion@HIDDEN>) id 1oL3oi-0001pj-Fb
 for 56989 <at> debbugs.gnu.org; Mon, 08 Aug 2022 10:33:17 -0400
Received: by mail-qt1-f169.google.com with SMTP id w26so1738228qtv.9
 for <56989 <at> debbugs.gnu.org>; Mon, 08 Aug 2022 07:33:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:in-reply-to:date:subject:cc:to:from
 :user-agent:references:from:to:cc;
 bh=QQLlU9m67noa7hDHmibIeZzHxQ3C7gXmndAiuqwCSDY=;
 b=LWrxltKFm018W0yUBo38WhF+bK3pEWtSJMwNs5/Kz7OFrg4PWToFBZeHkgRYBgW36Q
 BdGd3DHIJQUQgpfh0wLLvd97k/gQVflKUoWv7HgouV0VgQ+sx8ctIn7ZRXvHWTtxa8tz
 n0bh9xbysAVDUPTKeUu+hAtlLKbzvrDMDdiVrFE7Ek2ySJpcACLSKrgElIZfnjw7l+Sl
 0b5UtttAPAl3gIoK6pxqZOars5r8A6zerqW2xJ8tt8W0tv9KalqWJxQG7qyeKQ3T7txX
 6cVg7EsQ1jgYuvpWeqkyvASVwGCfy+sdpNDC34rUqjBX+sB5+T2/8DnvcYIVZUgp+ROB
 Aqlw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:in-reply-to:date:subject:cc:to:from
 :user-agent:references:x-gm-message-state:from:to:cc;
 bh=QQLlU9m67noa7hDHmibIeZzHxQ3C7gXmndAiuqwCSDY=;
 b=H7418+Pn9d+9/alGdxWZeMTN0GeO8xAs3/MYv/AMNEue9LI0PlhELoVFlnLJXGTqc/
 qrGTAPvquPRu/yXLFAqw9M1xChz9SYFzwyvOZc5WYl8ewIxdzokgOULWwjpE7BvqjT1Q
 i7R0TRl3HoFa1FcErpPIX8uynrvxDMAzx+BP1/iHrM17D3sxK0E9DhWJVuWwqab8svPQ
 q2QCHSLahTJCK1uzseo0Gl/ZJTaXPx1w1EdXK+GX8bqdylZWdnkBcDjixpox2rUSoYiD
 e96C1Sysp4n98NnV99iC93azePdri+BRAppazp7yCeaLj3HDAaXI5vWlsG0+qC1a2/1x
 wFDw==
X-Gm-Message-State: ACgBeo3WBXhwydC0xlhznuIvktu6RCjUCyuFx7F+LKJEib5Ih6lSiOFw
 K/+bG847HdGVwpweQtscTvA=
X-Google-Smtp-Source: AA6agR58Jk1ICckxx1y41UWKejbHwLvMkXa7zpsbfWUtYGBgVjlfOKlJBJrkcnS6TQlHu08ghtwo2A==
X-Received: by 2002:a05:622a:1052:b0:31e:fcb3:4aa2 with SMTP id
 f18-20020a05622a105200b0031efcb34aa2mr16361283qte.399.1659969190694; 
 Mon, 08 Aug 2022 07:33:10 -0700 (PDT)
Received: from gmail.com (ec2-44-193-71-234.compute-1.amazonaws.com.
 [44.193.71.234]) by smtp.gmail.com with ESMTPSA id
 x8-20020a05620a258800b006b5e45ff82csm9678256qko.93.2022.08.08.07.33.09
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 08 Aug 2022 07:33:09 -0700 (PDT)
References: <20220805022023.5044-1-yewscion@HIDDEN>
 <20220806022022.24054-1-yewscion@HIDDEN>
 <00125176-9e1f-6d91-21d8-0d2fd9558aca@HIDDEN>
User-agent: mu4e 1.8.7; emacs 28.1
From: Christopher Rodriguez <yewscion@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#56989] [PATCH v3] gnu: Add dbqn.
Date: Mon, 08 Aug 2022 09:54:33 -0400
In-reply-to: <00125176-9e1f-6d91-21d8-0d2fd9558aca@HIDDEN>
Message-ID: <87h72mx0t7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56989
Cc: Christopher Rodriguez <yewscion@HIDDEN>, 56989 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


> Maxime Devos <maximedevos@HIDDEN> writes:
> Copyright and license headers are missing. Also, usually we don't do
> per-package modules but rather thematic modules, though that's not a hard
> rule especially if there are technical problems with that.
Ah, right, I forgot about those. Not used to creating new files. Will be
in the patch I'm sending shortly.

As for the per-package rule, this will not be the only package for this
file. Aside from the 2 user-facing packages and 3 bootstrap packages in
this series, I'm hoping to package a further (at least) 3 packages=E2=80=94a
standard library, a DSL, and a primer (info).

I'm also hoping to package an emacs mode, a few fonts, and an update to
a few packages to add BQN support. But those have their own files, and
won't be included here.

Is that enough of a justification for a new file, or should I look to
add this to another? I /suppose/ apl.scm would work, though technically
that would be like scheme, common lisp, arc, clojure, et al being
grouped in the same language. WDYT?

> I don't think you are using (guix deprecation) below?
I don't think I am either, now that You mention it. Somehow that made
its way into my starting template; I will remove it in the forthcoming
patch.

> I have looked at the 'v0.2.1' tag, and it points at the 0bbe096... commit=
, so
> you are actually packaging version 0.2.1, not some git commit after
> v0.2.1. As such, no need for (git-version ...), you can just write "0.2.1"
> there. Then 'revision' becomes unused and can be dropped, and 'commit' is
> only used in a single place anymore so it can be inlined.
This honestly confused me a bit at first, but I think I see what You
mean now. Since it's an official upstream version, that can be the
version, instead of using git-version. I will apply these changes as well.

>> +      (native-inputs (list `(,icedtea-8 "jdk") coreutils zip))
> coreutils is an implicit (native-)input, likely no need to to mention it.
>
> Also, the Makefile mentions that the executable to start things has
> #!/bin/bash -- to properly patch is when cross-compiling, you need
> 'bash-minimal' or 'bash' in inputs, otherwise it will be patched for the
> wrong architecture.
>
> Also, that script runs 'java' -- make sure it is patched too such that ja=
va
> will actually be found -- and to patch it, you need to have icedtea:out or
> openjdk:out in 'inputs'.
Per the feedback I received from Liliana, I will use icedtea:out to (as
there is less bootstrapping required if building everything from
source). I'll also add bash-minimal in place of the unneeded
coreutils, and place both icedtea:out and bash-minimal in inputs rather
than native, as they are expected for the target machine.

>> +      (outputs '("out"))
> That's the default, no need to set it.
>> +       (list #:imported-modules `(,@%gnu-build-system-modules (guix bui=
ld
>> +                                                                    sys=
calls)
> For formatting, (guix build syscalls) should be on a separate line.
>> +      (synopsis "BQN implementation based on dzaima/APL")
>> +      (description "BQN implementation based on dzaima/APL.")
> The synopsis and description are identical, and this doesn't explain much=
 to
> people who don't know what 'BQN' is. Can it be rewritten such that people=
 not
> familiar with BQN can decide whether this =E2=80=98BQN=E2=80=99 is someth=
ing that's useful
> for them? '(guix)Synopses and Descriptions' has more information.
>> +                            (lambda* (:#key tests?
>> +                                            #:allow-other-tags)
> Why the : before #:key? Also, no need to break it in separate lines.
All of these points are addressed in the forthcoming (v4) patch. In
particular, thanks for calling out the description: It had been a
placeholder while I was getting things working, and I'm happy to replace
it with something more descriptive. And the `:#key` was a typo, unsure
how it has worked thus far, as I had tests disabled up until
recently. Maybe I was using the stock check phase, then. I forget, tbh.

>> +                          (add-after 'install 'reorder-jar-content
>> +                            (lambda* (#:key outputs #:allow-other-keys)
>> +                              (apply (assoc-ref ant:%standard-phases
>> +                                                'reorder-jar-content)
>> +                                     #:outputs (list outputs))))
> 'output's is a list of strings, now you are giving reorder-jar-content a =
list
> of lists of strings
> However, looking at (guix build ant-build-system), it looks like it just
> wants a list of strings.
>
> As such, maybe it should be:
>
> (add-after 'install 'reorder-jar-content
> =C2=A0 (assoc-ref ant:%standard-phases 'reorder-jar-content))
>
> ? (untested)=C2=A0 Possibly likewise for the other phases.
This intrigues me. The list of outputs was a kludge to allow the
function to accept the singleton output. If the singleton is still
wrapped in a list, then I'm unsure why it fails. Perhaps I need to test
this more; will do so before sending v4.

>> (the implementation is even under single-license GPL!) [...]
> You are writing license:expat in the 'license' field, not
> license:gplN/license:gplN+. Is it Expat or is it GPL?
So, this package (dbqn) is expat. The implementation I referenced above
(which is recommended and actively developed) is a different one (cbqn)
that relies on this one as a dependency for bootstrapping, and is under
gpl.

I really just wanted to add cbqn to guix, but can't do so without dbqn,
which /is/ still functional, is depended on by a bunch of tooling for
the language, and may as well also be a package because of the above
(sort of like how someone using common lisp may view clisp as a slow
dependency of sbcl, or they may instead choose to use it as their target
implementation).

>> +      (synopsis "Official BQN sources in BQN")
> If they are just sources, you can do (define bqn-bytecode-sources (origin
> ...))
I had not realized the package was unneeded! That might simplify things
greatly. I love packaging things for guix; I always learn something new.

>> +      (home-page"https://github.com/mlochbaum/BQN.git")
>> +      (license license:gpl3))))
> The 'LICENSE' file says something different. I don't think that's the home
> page, maybe <https://mlochbaum.github.io/BQN/> instead?
So, <https://mlochbaum.github.io/BQN> is the homepage of the language,
but the sources we're using are only a part of that language
definition.

In particular, we're only using the src/ and test/ directories of that
repository. We're ignoring the docs, commentary, editor plugins, fonts,
implementation instructions, spec, tutorial, javascript implementation,
etc. We really are just targetting the sources for the bytecode and the
tests, which is why I thought the repo itself makes a better homepage.

Should I change that to the homepage for the language?

As for the LICENSE file, indeed, it is isc. Thanks for the catch.

>
>> +                              (chmod "BQN" 493)
> Hexadecimal would be clearer.
As in Your second message, I will use the octal notation per Liliana.

>> +       "The expected implementation for the BQN language,
>> +according to the official documentation of that specification.")
> expected -> standard (what's 'expected' depends on the user, they might w=
ant
> a different implementation), unless it's not the standard implementation.
>
> 'documentation of that specification' -> 'the specification (pleonasm)
>
> And maybe remove 'official', given the absence of 'official' in the
> descriptions of, say, guile, gcc, openjdk and java, this sounds marketing=
 and
> unfair to me.
I will change this to "The standard implementation of the BQN language,
according to the specification." (Also, thank You for teaching me
'pleonasm'!)

> (singeli-bootstrap:)
>
>> +  (let* ((tag "0")
>> +         (revision "1")
>> +         (commit "fd17b144483549dbd2bcf23e3a37a09219171a99")
>> +         (hash "1rr4l7ijzcg25n2igi1mzya6qllh5wsrf3m5i429rlgwv1fwvfji")
>> +         (version (git-version tag revision commit)))
> I'm not seeing a '0' tag anywhere in the repository -- I dont see any tag=
s at
> all tere.
There are none; I thought the absence of any tage necessitates a '0' for
the version number, and wanted to keep the definitions
standardized. Should I inline the 0 instead in the git-version?

>> +    (inputs (list bqn-bytecode-sources libffi singeli-bootstrap))))
> For cross-compilation, I would have expected sengili-bootstrap in
> native-inputs, not inputs, assuming that it is used as a compiler. Does
> cross-compilation (with --target) work?
Singeli is written in BQN, which is an interpreted language. So, as long
as the BQN interpreter is for the correct architecture, it will work. It
will never be compiled itelf.

Thank You for all of the feedback! I'll try to have a revised set of
patches in by this evening EDT, in the next 8 hours.

=2D-

Christopher Rodriguez

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEJMQbvYVxvZ0eF/84XZ6FgaGVz3sFAmLxHqQACgkQXZ6FgaGV
z3uqJRAAjC1FB/NLE6/5KQpQrhPVq08yHVlpKBDDneJnAOooV87Xg0RpFi//xUJn
RySRacvDI6OGjhcUiAA2/toUKULBzlw1gOZjJoZ4PBwhWyJQtfCHoskDmLo74G9f
7SbOQmRh385fmz5szdKETScJ6832KL3yVklfDpGhotoxn6EySG6mNoBFg7gCM0Il
nDXoAI1UnUGrV+LhAExk76DnVGoYViPdle8kDObh9h3r8SJ45zE6qI25uKqwW4nc
jb3nToZT9/dd22xyQmHiAjjoyjcm/MQjz2RgE8+tG8A+8irM6tijH4tVe2ky5N1g
s326d/FrUEk46xWjUJZDhSarrm0s8ah0acI6RGqQ8PJBOgVkEN8mH/U7YVG6u4sx
wvVYIDyxCK8RiQlO4PCJPe6+7vnZmOaEJGOerrqjpiBJqv1yiTGTcfvE7VYJtETh
yQkNUd2ilwnliMVyBH8O0rSDF6ECJsLE17HzPwDUJPE+qBcwKKV2ssqFZ0bdVAmJ
OcQahkRHuy2tuxeON+pF0RmXxsA1B2+qmzRg4IJ9ZR/tGhbs1m2QoiqNcqOiMOHp
PqMBFkCnW8QKWOOsUfjRrdOZ9HFwRMINRAFlg1U9upg6NxOiYNrIBvfCmhc9RrnH
rf9O2+3U1HeUSpzX83tX1j3+Z+BmJP0J8XP+PAV3FFYPOmRfbl4=
=bee8
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#56989; Package guix-patches. Full text available.

Message received at 56989 <at> debbugs.gnu.org:


Received: (at 56989) by debbugs.gnu.org; 8 Aug 2022 09:20:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 08 05:20:53 2022
Received: from localhost ([127.0.0.1]:39234 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oKywP-0007sT-Kl
	for submit <at> debbugs.gnu.org; Mon, 08 Aug 2022 05:20:53 -0400
Received: from baptiste.telenet-ops.be ([195.130.132.51]:54004)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1oKywN-0007sK-HO
 for 56989 <at> debbugs.gnu.org; Mon, 08 Aug 2022 05:20:51 -0400
Received: from [IPV6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16]
 ([IPv6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16])
 by baptiste.telenet-ops.be with bizsmtp
 id 4xLq2800520ykKC01xLqpH; Mon, 08 Aug 2022 11:20:50 +0200
Message-ID: <c0c3e85a-20b2-d00a-c0aa-1bb85088393a@HIDDEN>
Date: Mon, 8 Aug 2022 11:20:49 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.11.0
Subject: Re: [bug#56989] [PATCH v1 1/5] gnu: bqn: Add bqn.scm and dbqn package.
Content-Language: en-US
To: Christopher Rodriguez <yewscion@HIDDEN>, 56989 <at> debbugs.gnu.org
References: <20220805022023.5044-1-yewscion@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
In-Reply-To: <20220805022023.5044-1-yewscion@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------2ylf31Yeom0wVUq8wNuLxvCx"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1659950450; bh=gA043gzqZ1D4JFxmnbo48WhipWM1lOf4s3M6M7cutSs=;
 h=Date:Subject:To:References:From:In-Reply-To;
 b=gCaXdL713yv8jdhX2IY+gkXtXNsIDB9tghgIw/bAe3Y0MFr+Mqaqg5PE4e04s8BiO
 FHqgIdFl9zQ5Ued+JBeWzzf/gihpBEOonckqz6E4bOKbFQb0LFINGdouBtBRPGCWpH
 Xwh7COrFniSUbfwH3yllJXXNATjb0fNE4vloGNtvt/WgxnwLKUpW8kjWpvL9KUFqFm
 maeJS3/v0hb9NYWzssxwxHcMnWSOpdJ6i2JjiMc3Hwakjj7jIjJ4wiQ7Onsv7ChH7V
 Rkd2nI4n7thYJMtEcCIQ1jh5ygkCqN1U5EIj/DTwwc33U+tOD2zffp/UVhmEN7RmKU
 jz7kEvplPAudw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 56989
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------2ylf31Yeom0wVUq8wNuLxvCx
Content-Type: multipart/mixed; boundary="------------jwcMRhd77Kkv0A0cqZNMyEBz";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: Christopher Rodriguez <yewscion@HIDDEN>, 56989 <at> debbugs.gnu.org
Message-ID: <c0c3e85a-20b2-d00a-c0aa-1bb85088393a@HIDDEN>
Subject: Re: [bug#56989] [PATCH v1 1/5] gnu: bqn: Add bqn.scm and dbqn
 package.
References: <20220805022023.5044-1-yewscion@HIDDEN>
In-Reply-To: <20220805022023.5044-1-yewscion@HIDDEN>

--------------jwcMRhd77Kkv0A0cqZNMyEBz
Content-Type: multipart/mixed; boundary="------------IFyy9zhi8S26ItzFCLekDRV5"

--------------IFyy9zhi8S26ItzFCLekDRV5
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64

TmV2ZXJtaW5kIG15IHJlbWFya3Mgb24gaGV4YWRlY2ltYWwsIG9jdGFsIHdvdWxkIGJlIGJl
dHRlciBJIHRoaW5rLCBsaWtlIA0KbGlseXAgd3JvdGUuDQoNCkdyZWV0aW5ncywNCk1heGlt
ZS4NCg0K
--------------IFyy9zhi8S26ItzFCLekDRV5
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------IFyy9zhi8S26ItzFCLekDRV5--

--------------jwcMRhd77Kkv0A0cqZNMyEBz--

--------------2ylf31Yeom0wVUq8wNuLxvCx
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYvDVcQUDAAAAAAAKCRBJ4+4iGRcl7lX6
AQDmyUqxn9vOv5kVTo9lerNQOOxyiGV59DxVAS5VwqlkdQD/fmNy13Raqqm/vwjbl5KiKTQjO2un
S8Q2i6f7KoOMSwI=
=Z8ni
-----END PGP SIGNATURE-----

--------------2ylf31Yeom0wVUq8wNuLxvCx--




Information forwarded to guix-patches@HIDDEN:
bug#56989; Package guix-patches. Full text available.

Message received at 56989 <at> debbugs.gnu.org:


Received: (at 56989) by debbugs.gnu.org; 8 Aug 2022 09:19:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 08 05:19:41 2022
Received: from localhost ([127.0.0.1]:39229 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oKyvE-0007ps-Vr
	for submit <at> debbugs.gnu.org; Mon, 08 Aug 2022 05:19:41 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:39638)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1oKyvC-0007pe-6K
 for 56989 <at> debbugs.gnu.org; Mon, 08 Aug 2022 05:19:39 -0400
Received: from [IPV6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16]
 ([IPv6:2a02:1811:8c09:9d00:5dba:d409:33f7:a16])
 by andre.telenet-ops.be with bizsmtp
 id 4xKa2800J20ykKC01xKbBF; Mon, 08 Aug 2022 11:19:35 +0200
Message-ID: <00125176-9e1f-6d91-21d8-0d2fd9558aca@HIDDEN>
Date: Mon, 8 Aug 2022 11:19:34 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.11.0
Content-Language: en-US
To: Christopher Rodriguez <yewscion@HIDDEN>, 56989 <at> debbugs.gnu.org
References: <20220805022023.5044-1-yewscion@HIDDEN>
 <20220806022022.24054-1-yewscion@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: [bug#56989] [PATCH v3] gnu: Add dbqn.
In-Reply-To: <20220806022022.24054-1-yewscion@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="------------E0V0O20CQ3n6nJIrb0fsLfPS"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1659950375; bh=B4gGJcjnERbc4uUiIkMHq+q9c42UO5NR+HEjwu/2jCc=;
 h=Date:To:References:From:Subject:In-Reply-To;
 b=AX5M+vAedn1r4nNluv/Jl5BK6ppzjz3wSnrfKzUzpJBun8eyZNt1nhtW+4Fb6u/QO
 7q/AhaCeJKzHz3p6B0Wn+/IpwWTJPE11iT0zip6WC/kyVTocarGnD/LgTCWzNUBJMC
 8+HYYsVMp5eKwe0WhB6ojrB/1s9eHHVzIfVYmosXkdBOe5i9WbB3+PcHRKOYXFb0Y3
 olF/vKo3+1B26WjIphTBFpLorhF9VcVvDOHzRd06IGndBxkD23U0As4cxlZ/XB7Ydc
 ArVkhiHhvQwvT1B7+cC0u/TS52qM+emP7PLvItY8jhgv7TVnfGxENRZn50j/crU2+z
 N4VY+QSa6UWRw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 56989
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--------------E0V0O20CQ3n6nJIrb0fsLfPS
Content-Type: multipart/mixed; boundary="------------IyXJKZDRw7PKnRhwbDQ319pQ";
 protected-headers="v1"
From: Maxime Devos <maximedevos@HIDDEN>
To: Christopher Rodriguez <yewscion@HIDDEN>, 56989 <at> debbugs.gnu.org
Message-ID: <00125176-9e1f-6d91-21d8-0d2fd9558aca@HIDDEN>
Subject: Re: [bug#56989] [PATCH v3] gnu: Add dbqn.
References: <20220805022023.5044-1-yewscion@HIDDEN>
 <20220806022022.24054-1-yewscion@HIDDEN>
In-Reply-To: <20220806022022.24054-1-yewscion@HIDDEN>

--------------IyXJKZDRw7PKnRhwbDQ319pQ
Content-Type: multipart/mixed; boundary="------------FQRSGdJ7oht9Uvxz90v133tf"

--------------FQRSGdJ7oht9Uvxz90v133tf
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: base64
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--------------FQRSGdJ7oht9Uvxz90v133tf
Content-Type: application/pgp-keys; name="OpenPGP_0x49E3EE22191725EE.asc"
Content-Disposition: attachment; filename="OpenPGP_0x49E3EE22191725EE.asc"
Content-Description: OpenPGP public key
Content-Transfer-Encoding: quoted-printable

-----BEGIN PGP PUBLIC KEY BLOCK-----

xjMEX4ch6BYJKwYBBAHaRw8BAQdANPb/d6MrGnGi5HyvODCkBUJPRjiFQcRU5V+m
xvMaAa/NL01heGltZSBEZXZvcyA8bWF4aW1lLmRldm9zQHN0dWRlbnQua3VsZXV2
ZW4uYmU+wpAEExYIADgWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCX4ch6AIbAwUL
CQgHAwUVCgkICwUWAgMBAAIeAQIXgAAKCRBJ4+4iGRcl7japAQC3opZ2KGWzWmRc
/gIWSu0AAcfMwyinFEEPa/QhUt2CogD/e2RdF4CYAgaRHJJmZ9WU7piKbLZ7llB4
LzgezVDHggzNJU1heGltZSBEZXZvcyA8bWF4aW1lZGV2b3NAdGVsZW5ldC5iZT7C
kAQTFggAOBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJf56ycAhsDBQsJCAcDBRUK
CQgLBRYCAwEAAh4BAheAAAoJEEnj7iIZFyXujpQBAKV1SwDDl4f24rXciDlB9L8W
ycZt30CgbewMSRQk4mvbAP9dFMbVVixYBd6C8cfhR+NsOBGiOJnQABlUmgNuqGFJ
Dc44BF+HIegSCisGAQQBl1UBBQEBB0BOlzIWiJzgobMF6/cqwLaLk7jIcFSZ++c0
k9cCNT6YXwMBCAfCeAQYFggAIBYhBMHzPuIMUo/bfdcBH0nj7iIZFyXuBQJfhyHo
AhsMAAoJEEnj7iIZFyXuMr0BAJc8cl5PGvVmVuSQVKjleNl4DK1/XAaPAYPe34AE
fZJPAP9IqLCQhH/FeJanHqBP8gNdGNI2qn8RnnLVfRJgUjZ1BA=3D=3D
=3DOVqp
-----END PGP PUBLIC KEY BLOCK-----

--------------FQRSGdJ7oht9Uvxz90v133tf--

--------------IyXJKZDRw7PKnRhwbDQ319pQ--

--------------E0V0O20CQ3n6nJIrb0fsLfPS
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"

-----BEGIN PGP SIGNATURE-----

wnsEABYIACMWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYvDVJgUDAAAAAAAKCRBJ4+4iGRcl7hPQ
AQCMSxb/Z2hAI82ILluOpn/zURbHcnsb9xdLlxxlXGymBwD/ZrhO4/kqdbtiWnNeLDgaYoqKx+Qe
eV5uLSaTErTM3Q8=
=Mznr
-----END PGP SIGNATURE-----

--------------E0V0O20CQ3n6nJIrb0fsLfPS--




Information forwarded to guix-patches@HIDDEN:
bug#56989; Package guix-patches. Full text available.

Message received at 56989 <at> debbugs.gnu.org:


Received: (at 56989) by debbugs.gnu.org; 7 Aug 2022 16:28:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 07 12:28:23 2022
Received: from localhost ([127.0.0.1]:38213 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oKj8Z-0000b5-6Z
	for submit <at> debbugs.gnu.org; Sun, 07 Aug 2022 12:28:23 -0400
Received: from mail-ed1-f65.google.com ([209.85.208.65]:43960)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1oKj8W-0000ar-Uu
 for 56989 <at> debbugs.gnu.org; Sun, 07 Aug 2022 12:28:21 -0400
Received: by mail-ed1-f65.google.com with SMTP id o22so8764693edc.10
 for <56989 <at> debbugs.gnu.org>; Sun, 07 Aug 2022 09:28:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:date:in-reply-to:references:user-agent
 :mime-version:content-transfer-encoding;
 bh=JF9r7VNMwrzIB8aGvqoiH8NgLIrbw/l173UhFlt+rb0=;
 b=Eqn8NMJUgvQIQ5SxlyKuCBh+ZN1q0GaO60hCw/OI0Xvk7Y8HBMJ0I8jbRalM4j5Opv
 jDEKaYW4fU1HMdFMKr+SHCh6cV8HihA6sQkPJRiQrbG0zr50M+owNvVP+fq5lEZcSng8
 jMRlSkOOe5CBm1TFAZ1YOxRgp+yQgDnts1sYK0deGxzfDw0IqS++nMywWSrnXfTsPnBS
 pdhZS/V6wd2bC68qMDR1eGa+X6I8r/6Unlx0RATVR5m0VjbJH2jAm+C1zQCRSAjvBMt3
 tlmBADtC8Z9Ih2fHvf2Uyp8FCubfNSfvA2xJgYiC0zbSjZdSKTMhyxk49QhHEc8/mObw
 l7xQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:date:in-reply-to
 :references:user-agent:mime-version:content-transfer-encoding;
 bh=JF9r7VNMwrzIB8aGvqoiH8NgLIrbw/l173UhFlt+rb0=;
 b=7LcGQ3ZKf+dwje+GqxLBz15B0eKQME7bk/Wv8vnfIi3WBqO0WvgSRZHHEVsE/d8pJv
 92huj+DgxDsgYDve/H1NOdFkOZclCP75+wDC41mA+yUS3JZ8V8b1qEMhATG4o5jGC7NK
 pHxSJFacmzLdAKFBayxi00VPjuV/3UKVsmK+VSDWDuAVl7ipspTXt57F4vzMuKSIlZvq
 lN2b9BDgrXNSZ0NOkdx7+vAvSyiqe3YB8W+sx/BqcuODfRHBs4x3CBmkg2KYnY+RQMFk
 HdFqeskznSsQdNeRLLjs/IcOrzqOJ6MLfkGX60KkymzbMGrDcD2JvqcO3XA+iYZzDNOQ
 CZag==
X-Gm-Message-State: ACgBeo3+HzzjMjuQRJWL5Eyb4j0EaGV93A7a5UegLyZ8jE527cvml4xf
 tfBkqsRcDxZU0ozIZWBuWmAyScMLoqo=
X-Google-Smtp-Source: AA6agR45jUS7a323VxHRryRv3pt/cvdZKvvc/rb9+nxOrRMLpujAvaK+BDqmwPqaPChXZc0rX9cPCg==
X-Received: by 2002:a05:6402:270c:b0:43d:efd3:883e with SMTP id
 y12-20020a056402270c00b0043defd3883emr15347703edd.221.1659889695284; 
 Sun, 07 Aug 2022 09:28:15 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 jw16-20020a170906e95000b00726298147b1sm3893483ejb.161.2022.08.07.09.28.14
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 07 Aug 2022 09:28:15 -0700 (PDT)
Message-ID: <24ad558d70673af82e334a759e887f0b49a757c8.camel@HIDDEN>
Subject: Re: [PATCH v3] gnu: Add dbqn.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Christopher Rodriguez <yewscion@HIDDEN>, 56989 <at> debbugs.gnu.org
Date: Sun, 07 Aug 2022 18:28:14 +0200
In-Reply-To: <20220806022022.24054-1-yewscion@HIDDEN>
References: <20220806022022.24054-1-yewscion@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56989
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am Freitag, dem 05.08.2022 um 22:20 -0400 schrieb Christopher
Rodriguez:
> * gnu/packages/bqn.scm: New file.
> * gnu/local.mk (GNU_SYSTEM_MODULES): Registered it here.
Don't know if that's just my preference or everyone's, but I like
present tense.

> ---
>  gnu/local.mk         |  1 +
>  gnu/packages/bqn.scm | 89
> ++++++++++++++++++++++++++++++++++++++++++++
>  2 files changed, 90 insertions(+)
>  create mode 100644 gnu/packages/bqn.scm
> 
> diff --git a/gnu/local.mk b/gnu/local.mk
> index 0e8b7b0447..c3f4cc782c 100644
> --- a/gnu/local.mk
> +++ b/gnu/local.mk
> @@ -138,6 +138,7 @@ GNU_SYSTEM_MODULES
> =                                \
>    %D%/packages/boost.scm                       \
>    %D%/packages/bootloaders.scm                 \
>    %D%/packages/bootstrap.scm                   \
> +  %D%/packages/bqn.scm                         \
>    %D%/packages/browser-extensions.scm          \
>    %D%/packages/build-tools.scm                 \
>    %D%/packages/busybox.scm                     \
> diff --git a/gnu/packages/bqn.scm b/gnu/packages/bqn.scm
> new file mode 100644
> index 0000000000..456983f71f
> --- /dev/null
> +++ b/gnu/packages/bqn.scm
> @@ -0,0 +1,89 @@
> +(define-module (gnu packages bqn)
> +  #:use-module ((guix licenses) #:prefix license:)
> +  #:use-module (guix gexp)
> +  #:use-module (guix packages)
> +  #:use-module (guix download)
> +  #:use-module (guix git-download)
> +  #:use-module (guix build-system copy)
> +  #:use-module (guix build-system gnu)
> +  #:use-module (guix utils)
> +  #:use-module (guix deprecation)
> +  #:use-module (gnu packages)
> +  #:use-module (gnu packages libffi)
> +  #:use-module (gnu packages base)
> +  #:use-module (gnu packages pkg-config)
> +  #:use-module (gnu packages llvm)
> +  #:use-module (gnu packages java)
> +  #:use-module (gnu packages compression))
> +(define-public dbqn
> +  (let ((commit "0bbe096fc07d278b679a8479318f1722d096a03e")
> +        (revision "1"))
> +    (package
> +      (name "dbqn")
> +      (version (git-version "0.2.1" revision commit))
> +      (source (origin
> +                (method git-fetch)
> +                (uri (git-reference
> +                      (url "https://github.com/dzaima/BQN")
> +                      (commit commit)))
> +                (file-name (git-file-name name version))
> +                (sha256
> +                 (base32
> +                 
> "1kxzxz2hrd1871281s4rsi569qk314aqfmng9pkqn8gv9nqhmph0"))))
> +      (outputs '("out"))
> +      (build-system gnu-build-system)
> +      (arguments
> +       (list #:imported-modules `(,@%gnu-build-system-modules (guix
> build
> +                                                                   
> syscalls)
Put #:imported modules on a new line, same for (guix build syscalls).
> +                                  (guix build ant-build-system))
> +             #:modules `((guix build gnu-build-system)
> +                         ((guix build ant-build-system)
> +                          #:prefix ant:)
> +                         (guix build utils))
> +             #:phases #~(modify-phases %standard-phases
> +                          (delete 'configure)
> +                          (replace 'build
> +                            (lambda* _
> +                              (invoke "./build")))
> +                          (replace 'check
> +                            (lambda* (:#key tests?
> +                                            #:allow-other-tags)
> +                              (when tests?
> +                                (chmod "./BQN" 493)
Use octal notation for chmod.
> +                                (system "./BQN ./test/test"))))
> +                          (add-after 'install 'reorder-jar-content
> +                            (lambda* (#:key outputs #:allow-other-
> keys)
> +                              (apply (assoc-ref ant:%standard-phases
> +                                                'reorder-jar-
> content)
> +                                     #:outputs (list outputs))))
> +                          (add-after 'reorder-jar-content 'jar-
> indices
> +                            (lambda* (#:key outputs #:allow-other-
> keys)
> +                              (apply (assoc-ref ant:%standard-phases
> +                                                'generate-jar-
> indices)
> +                                     #:outputs (list outputs))))
> +                          (add-after 'jar-indices 'fix-jar-
> timestamps
> +                            (lambda* (#:key outputs #:allow-other-
> keys)
> +                              (apply (assoc-ref ant:%standard-phases
> +                                                'reorder-jar-
> content)
> +                                     #:outputs (list outputs))))
> +                          (replace 'install
> +                            (lambda* (#:key outputs #:allow-other-
> keys)
> +                              (let* ((out (assoc-ref outputs "out"))
> +                                     (dest-bin (string-append out
> "/bin"))
> +                                     (dest-jar (string-append out
> +                                                             
> "/share/java")))
> +                                (mkdir-p dest-bin)
> +                                (mkdir-p dest-jar)
> +                                (copy-recursively "BQN"
> +                                                  (string-append
> dest-bin
> +                                                                
> "/dbqn"))
> +                                (chmod (string-append dest-bin
> "/dbqn") 493)
> +                                (install-file "BQN.jar" dest-jar)
> +                                (substitute* (string-append dest-bin
> "/dbqn")
> +                                  (("BQN.jar")
> +                                   (string-append dest-jar
> "/BQN.jar")))))))))
Other than that LGTM modulo not having tested anything as of yet.

Cheers




Information forwarded to guix-patches@HIDDEN:
bug#56989; Package guix-patches. Full text available.

Message received at 56989 <at> debbugs.gnu.org:


Received: (at 56989) by debbugs.gnu.org; 7 Aug 2022 14:45:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 07 10:45:27 2022
Received: from localhost ([127.0.0.1]:38096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oKhWx-0006Li-Go
	for submit <at> debbugs.gnu.org; Sun, 07 Aug 2022 10:45:27 -0400
Received: from mail-qk1-f176.google.com ([209.85.222.176]:44722)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yewscion@HIDDEN>) id 1oKhWw-0006LV-Ds
 for 56989 <at> debbugs.gnu.org; Sun, 07 Aug 2022 10:45:26 -0400
Received: by mail-qk1-f176.google.com with SMTP id v1so4899618qkg.11
 for <56989 <at> debbugs.gnu.org>; Sun, 07 Aug 2022 07:45:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:date:subject:cc:to:from:user-agent:from:to
 :cc; bh=EuQTRgfkBy4bR5u7E+0/87JySV1j0dBezSv3Dn9KfUc=;
 b=VAbweJhQnDBycme+3NlDHOYZnVnte8yovvEYOXCO7zt5M9gTPY+bRbu/90Xa67IYbI
 KY2lkumHpxkNJdbQcm83TVz+0U4f7X9RYN//fHmqQXrUoUnWnilW4S0HihtEwyGLU2XV
 vCGFZTlQZb/dzE0SD7mHH1rxvNwGdCIejfvexPiEjC53mg/KBcddf5fdx5r40M4B4xnP
 86W25MAJocx9Zzpip1bZfbVOfJaGQ4tpBD8ucxqcLUUQ5Unww+8kq87U2UVDXEUttvxT
 UOrUOlGq9ubqGeAeVD3V458bU3LxQUwMnW6gV18o5HphXlKmcIArMntDPuTtMSn96stc
 eEvg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:date:subject:cc:to:from:user-agent
 :x-gm-message-state:from:to:cc;
 bh=EuQTRgfkBy4bR5u7E+0/87JySV1j0dBezSv3Dn9KfUc=;
 b=sph2nokmV3NYH4ANO7akmjVjSAyKuikP7prSNSYBOxn7ZtKupGtUIEkZTsT1EJdi01
 kRj0Nh77YIql9340ZbBivSgR1UBTkgohOBQ7dd06irWZZhbMUZMa2C0hnz+5SBHpoBeX
 5uxRHwRobJjNPV/3yhgLDaz6w5SMgPqMF8TbSSK4eGDQtWV66VoRPo+zis6OkJM2jajU
 4dGx8jFwobykfoemTyDZAePQ3+850ynTvVXEiAi7YUVGCtbAxrFMDhF3G7mSQoI9IIN+
 cppiSHpZ+QugFV1d/YDV/HfeNgp/hT3TuQ+eGAqy5X+qcXYOmUh2MF1w9hh0eMkyvUNX
 +32g==
X-Gm-Message-State: ACgBeo1FwUqRScwOEhDMph7BuBXsW9A+IRseyhH/8UUQ47Bioap4YW2h
 cWkWPuO2rnKx4OxU4jcrY1pMNG8U/qY=
X-Google-Smtp-Source: AA6agR5U4Qm3eVKcCqfiuRWV1VEdT6TtV5vKszkAmi0Bh7Pe/5rSt9qEc9vUCVTm9H2t7moPXblgKw==
X-Received: by 2002:a05:620a:f8d:b0:6b8:e7b3:8a68 with SMTP id
 b13-20020a05620a0f8d00b006b8e7b38a68mr11293323qkn.48.1659883520864; 
 Sun, 07 Aug 2022 07:45:20 -0700 (PDT)
Received: from gmail.com (ec2-44-193-71-234.compute-1.amazonaws.com.
 [44.193.71.234]) by smtp.gmail.com with ESMTPSA id
 x19-20020a05620a449300b006b9439332e2sm1579714qkp.13.2022.08.07.07.45.20
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 07 Aug 2022 07:45:20 -0700 (PDT)
User-agent: mu4e 1.8.7; emacs 28.1
From: Christopher Rodriguez <yewscion@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: [PATCH v2] gnu: bqn: Add bqn.scm and dbqn package.
Date: Sun, 07 Aug 2022 10:43:33 -0400
Message-ID: <8735e8m7t3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56989
Cc: Christopher Rodriguez <yewscion@HIDDEN>, 56989 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Please let me know if this is acceptable. I'm willing to make any other
changes needed.

I'll start working through the other patches and apply the given
feedback from this one as well, in the meantime.

Thanks!


--

Christopher Rodriguez

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEJMQbvYVxvZ0eF/84XZ6FgaGVz3sFAmLvz/gACgkQXZ6FgaGV
z3sGHxAAznLdcPqjpdyENMf/D/kWFvtKVJVn6ZJchNiNCL3dbZNX95A/8Bq+VGcw
WWNE5xDFdD2osHL4xvK5KSzOFfmWsnaLwxas+dDZnFW/LMrVwJ55QEXfoZB0yHrh
0x/4Pu4jPIg5vZSZEgxkJD8VUxq7SV69T8dFS1wfcfJcO+TR1eDDeCJu+EVU5Ywi
lrXLMbSt17mnB+0MHmaEQxv1uFpWOgvWpjnKG2scQkKLNzu3y8mDtDhGF36QeGM9
kqu06uG+XfWogL2tQBhlxGrTULeauiGE+Z8MIE812hdmYq/mgrvs6PuZ2wgyk5aA
w59AGFNITZRgampU5dszrQFBaoXO1Kv8oJtiqv5XUSearQG2B+MIo5Da/S50qFH2
KeeGmL1rb2WAefsIK9WDA0glg+BUN13wOGkc1vAJ82ARgiH+ywiKGsN3VaXpwHNB
syg3D9RYmjfle4mQEZjvt0DNVUm0x1qVKIvcR2dpeYi0FyPRm48b274sPFXdvoub
sAMXtfwdrMp51huKl5CUxv7uGPeWdQ53/FcZahKdYHhZzUIAQWwsfv0sCmkYyTu5
ZsYVA8chelV4o/S3th0/eic6M2jCRTTWZ9x43JHKKBN2HsoJ5CblUhk9EW3YWMVu
t+vReAf40ZdJu/TP2b+fVt8U/pX7a+07cYptrwIosqJ/NB7jLHE=
=DoCU
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#56989; Package guix-patches. Full text available.

Message received at 56989 <at> debbugs.gnu.org:


Received: (at 56989) by debbugs.gnu.org; 6 Aug 2022 02:20:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 22:20:41 2022
Received: from localhost ([127.0.0.1]:60833 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oK9Qf-0005oc-Af
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 22:20:41 -0400
Received: from mail-qk1-f177.google.com ([209.85.222.177]:38491)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yewscion@HIDDEN>) id 1oK9Qd-0005oP-Iw
 for 56989 <at> debbugs.gnu.org; Fri, 05 Aug 2022 22:20:40 -0400
Received: by mail-qk1-f177.google.com with SMTP id o3so1793949qkk.5
 for <56989 <at> debbugs.gnu.org>; Fri, 05 Aug 2022 19:20:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:from:to:cc;
 bh=iLgaY2BoJ7BCh7k0zCCCjPrARYEhcdxXMSrGyl4+JHs=;
 b=REW006rCCZ9Q+4r0v3on2oFxbTXRpWhOq0nAvKFpWRODXK5vv2S97xzwOWPmLqRNsB
 kXU9A+m9rWgC2f58MDD9f748iv359MqSXCtKV/0rMHUB8rWGocL3Xvhp4M440S1o+HMC
 gxm+vCkITYwk8s2pMqP4ABRy0OBACOt1IIBChdAT2/I9uPo5ebjOvDRv/5Q9yulkXc3M
 i/YFmLyvXMdJq1pS/p6w86+dBpxW1WT1sQhNiN5CB33AloVbHjPxf18ghqfKaZtmWes5
 tK35q3LUhSL7uqhyE/1i5UaQTgvBBA4exH2L2Twen4TTR1c/tvCbqtNSAEbjii9mAbG8
 v0BQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:x-gm-message-state:from:to:cc;
 bh=iLgaY2BoJ7BCh7k0zCCCjPrARYEhcdxXMSrGyl4+JHs=;
 b=KDFE3Qf6Rd+6vzCqrQfXc5VwpdjS8PHgXYGPL2F5JhpsbT5ONmkio359ATkV2EPISK
 MxeiBv5fu2O/Tzi3o541HhH593yyWT5fZzKWXy6jQWBjIG1O1CdmmznO3bftdb1Pqnpr
 Hadd0Otjz180cy84T5qokhIuktorvfZdzcG6KIsHuTp4hiAKJZXc2AFTjsG8XUNzquUy
 qYC4t/HBjRqqOgE8l0QHAJ+QYG+yhi+tIrtv0+wnlUtXVDH+AbEwQmnJLufBSfCqeHPF
 CV4RzqFC6fCHy8GWkxQDJG3LpWEVMbTqrUaDPYkOiJ3MZ435wkVfZrZjN35/1c3ji3N0
 AF2w==
X-Gm-Message-State: ACgBeo1VV8r6NfN2BpdpDQaBV/uIUrfYVSs0X5qobfFwekkq+YODnx7F
 oKtvai8LUeAby7gNURrQB+YUu6YmVx8K9Q==
X-Google-Smtp-Source: AA6agR7jhC7sqBWf3zNz+BAjlToAf+VrfJky726ZuXFmN9vwJi6MdqyC6F6DziGShA5iWX9HfD9e7A==
X-Received: by 2002:a05:620a:b8c:b0:6b9:2c0e:8d9c with SMTP id
 k12-20020a05620a0b8c00b006b92c0e8d9cmr597957qkh.582.1659752433783; 
 Fri, 05 Aug 2022 19:20:33 -0700 (PDT)
Received: from gmail.com ([2601:547:a00:7720::7bb0])
 by smtp.gmail.com with ESMTPSA id
 b16-20020a05622a021000b0031eddc83560sm3682946qtx.90.2022.08.05.19.20.33
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 05 Aug 2022 19:20:33 -0700 (PDT)
From: Christopher Rodriguez <yewscion@HIDDEN>
To: 56989 <at> debbugs.gnu.org
Subject: [PATCH v3] gnu: Add dbqn.
Date: Fri,  5 Aug 2022 22:20:22 -0400
Message-Id: <20220806022022.24054-1-yewscion@HIDDEN>
X-Mailer: git-send-email 2.37.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56989
Cc: Christopher Rodriguez <yewscion@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/bqn.scm: New file.
* gnu/local.mk (GNU_SYSTEM_MODULES): Registered it here.
---
 gnu/local.mk         |  1 +
 gnu/packages/bqn.scm | 89 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 90 insertions(+)
 create mode 100644 gnu/packages/bqn.scm

diff --git a/gnu/local.mk b/gnu/local.mk
index 0e8b7b0447..c3f4cc782c 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -138,6 +138,7 @@ GNU_SYSTEM_MODULES =				\
   %D%/packages/boost.scm			\
   %D%/packages/bootloaders.scm			\
   %D%/packages/bootstrap.scm			\
+  %D%/packages/bqn.scm				\
   %D%/packages/browser-extensions.scm		\
   %D%/packages/build-tools.scm			\
   %D%/packages/busybox.scm			\
diff --git a/gnu/packages/bqn.scm b/gnu/packages/bqn.scm
new file mode 100644
index 0000000000..456983f71f
--- /dev/null
+++ b/gnu/packages/bqn.scm
@@ -0,0 +1,89 @@
+(define-module (gnu packages bqn)
+  #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (guix gexp)
+  #:use-module (guix packages)
+  #:use-module (guix download)
+  #:use-module (guix git-download)
+  #:use-module (guix build-system copy)
+  #:use-module (guix build-system gnu)
+  #:use-module (guix utils)
+  #:use-module (guix deprecation)
+  #:use-module (gnu packages)
+  #:use-module (gnu packages libffi)
+  #:use-module (gnu packages base)
+  #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages llvm)
+  #:use-module (gnu packages java)
+  #:use-module (gnu packages compression))
+(define-public dbqn
+  (let ((commit "0bbe096fc07d278b679a8479318f1722d096a03e")
+        (revision "1"))
+    (package
+      (name "dbqn")
+      (version (git-version "0.2.1" revision commit))
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url "https://github.com/dzaima/BQN")
+                      (commit commit)))
+                (file-name (git-file-name name version))
+                (sha256
+                 (base32
+                  "1kxzxz2hrd1871281s4rsi569qk314aqfmng9pkqn8gv9nqhmph0"))))
+      (outputs '("out"))
+      (build-system gnu-build-system)
+      (arguments
+       (list #:imported-modules `(,@%gnu-build-system-modules (guix build
+                                                                    syscalls)
+                                  (guix build ant-build-system))
+             #:modules `((guix build gnu-build-system)
+                         ((guix build ant-build-system)
+                          #:prefix ant:)
+                         (guix build utils))
+             #:phases #~(modify-phases %standard-phases
+                          (delete 'configure)
+                          (replace 'build
+                            (lambda* _
+                              (invoke "./build")))
+                          (replace 'check
+                            (lambda* (:#key tests?
+                                            #:allow-other-tags)
+                              (when tests?
+                                (chmod "./BQN" 493)
+                                (system "./BQN ./test/test"))))
+                          (add-after 'install 'reorder-jar-content
+                            (lambda* (#:key outputs #:allow-other-keys)
+                              (apply (assoc-ref ant:%standard-phases
+                                                'reorder-jar-content)
+                                     #:outputs (list outputs))))
+                          (add-after 'reorder-jar-content 'jar-indices
+                            (lambda* (#:key outputs #:allow-other-keys)
+                              (apply (assoc-ref ant:%standard-phases
+                                                'generate-jar-indices)
+                                     #:outputs (list outputs))))
+                          (add-after 'jar-indices 'fix-jar-timestamps
+                            (lambda* (#:key outputs #:allow-other-keys)
+                              (apply (assoc-ref ant:%standard-phases
+                                                'reorder-jar-content)
+                                     #:outputs (list outputs))))
+                          (replace 'install
+                            (lambda* (#:key outputs #:allow-other-keys)
+                              (let* ((out (assoc-ref outputs "out"))
+                                     (dest-bin (string-append out "/bin"))
+                                     (dest-jar (string-append out
+                                                              "/share/java")))
+                                (mkdir-p dest-bin)
+                                (mkdir-p dest-jar)
+                                (copy-recursively "BQN"
+                                                  (string-append dest-bin
+                                                                 "/dbqn"))
+                                (chmod (string-append dest-bin "/dbqn") 493)
+                                (install-file "BQN.jar" dest-jar)
+                                (substitute* (string-append dest-bin "/dbqn")
+                                  (("BQN.jar")
+                                   (string-append dest-jar "/BQN.jar")))))))))
+      (native-inputs (list `(,icedtea-8 "jdk") coreutils zip))
+      (synopsis "BQN implementation based on dzaima/APL")
+      (description "BQN implementation based on dzaima/APL.")
+      (home-page "https://github.com/dzaima/BQN")
+      (license license:expat))))

base-commit: 116c0268ffd387c88b6b47135203fb330eb422f0
-- 
2.37.1





Information forwarded to guix-patches@HIDDEN:
bug#56989; Package guix-patches. Full text available.

Message received at 56989 <at> debbugs.gnu.org:


Received: (at 56989) by debbugs.gnu.org; 6 Aug 2022 02:10:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 22:10:49 2022
Received: from localhost ([127.0.0.1]:60828 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oK9H7-0005aA-5f
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 22:10:49 -0400
Received: from mail-qv1-f44.google.com ([209.85.219.44]:41961)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yewscion@HIDDEN>) id 1oK9H2-0005Zt-EX
 for 56989 <at> debbugs.gnu.org; Fri, 05 Aug 2022 22:10:47 -0400
Received: by mail-qv1-f44.google.com with SMTP id i7so2926630qvr.8
 for <56989 <at> debbugs.gnu.org>; Fri, 05 Aug 2022 19:10:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:in-reply-to:date:subject:cc:to:from
 :user-agent:references:from:to:cc;
 bh=rwERjQKbiPWgPMgqM8zLbTa2nEDnh1f56UDo34e0Afs=;
 b=agz+gVNF8y/yi1z9Y6rfAPS45ldFvAzjQeapRepT1e1BrSgMBAAR0WAtOUgrvA6UKz
 ZCEi71P4iRmT4S1vaVkMp5U8NTGYkj86jdiHhhdYXBPQ0SU1b0b4oX6zHydujNBp8WqA
 z5PJ7pGlIUV1pSYkm3/ri+sGHaduF87PltaCO5aJo4QpjWZAFL2r4dhUW/Zz5jSd0NeM
 QMs5GZwQzRV82z/vN/drt2O4pyUCdzJ78qo+2EkUQl8Fa6Ec7H/2W4NjQFNknRJkh73H
 Tv6E8v9hdV0k9qF4UWd9j1uplmN/k9ZksETKjm++lSW4ChbRwWTHGPUxMCnj58hoJ09u
 cTaw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:in-reply-to:date:subject:cc:to:from
 :user-agent:references:x-gm-message-state:from:to:cc;
 bh=rwERjQKbiPWgPMgqM8zLbTa2nEDnh1f56UDo34e0Afs=;
 b=FIfcRju08XKz7HgczFWb4EmjZJ9pvt/wG+QeZ/gEq/RzLJO1Z+dYjHSkK0bW9f11xI
 AT7iOVpc/edI8Ur74gcQevJaYjxyPQ6dU8ghXdfOV/sGxCSQkPJIp6W2bvBFMz1Gv/ZF
 62RLq7JI3wrDnfPeoqvhKlbwEg4Yyd6kBlkmnHRYHrrMKS4yL8WFZBSxLgLUC1Qrw6HU
 wk7i7kr8mm3eOD6mc1gWOkAdJm0k+kUczGVrpP/M0BYu7r5o/rSdY4vXaxcSj9FA5g4A
 RsWvn/SJP3+tFP7A7TvVQt3zlAxeN3nHzrztYZq0Jj4+M6429GplZa/Tp5iz+kJgaFUw
 lJzQ==
X-Gm-Message-State: ACgBeo0PGO4D7KVLc9FNjL3fz3o8AzT5IWEgpYq2l8I/xZ28BEebvObi
 mMcAnNaXEZsqWM+0YOwXNzo=
X-Google-Smtp-Source: AA6agR4f0NYoI+Lz6jsXH4eWAHEGPfsTPHR0yYjqm00cKAy7i1xx1EKG+nohSOdkqdTkeGCj0IzeLg==
X-Received: by 2002:a05:6214:2aa6:b0:474:844b:24ff with SMTP id
 js6-20020a0562142aa600b00474844b24ffmr8270144qvb.51.1659751838860; 
 Fri, 05 Aug 2022 19:10:38 -0700 (PDT)
Received: from gmail.com ([2601:547:a00:7720::7bb0])
 by smtp.gmail.com with ESMTPSA id
 h5-20020a05620a284500b006b8d977d87dsm4013919qkp.55.2022.08.05.19.10.37
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 05 Aug 2022 19:10:38 -0700 (PDT)
References: <20220805054616.30620-1-yewscion@HIDDEN>
 <7742c07ce28494af40c74262277417e60fe6f500.camel@HIDDEN>
 <87zggin1u0.fsf@HIDDEN>
 <5bffe66896dbebfe4716b924eb3d7a13e8e6344b.camel@HIDDEN>
User-agent: mu4e 1.8.7; emacs 28.1
From: Christopher Rodriguez <yewscion@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: [PATCH v2] gnu: bqn: Add bqn.scm and dbqn package.
Date: Fri, 05 Aug 2022 21:47:32 -0400
In-reply-to: <5bffe66896dbebfe4716b924eb3d7a13e8e6344b.camel@HIDDEN>
Message-ID: <87fsiam8aa.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56989
Cc: Christopher Rodriguez <yewscion@HIDDEN>, 56989 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:

> You should let-bind revision and commit.  You should nt let-bind tag,
> version and hash.  Use git-version like (git-version "0.2.1" revision
> commit).

Copy that, I've implemented this change in the upcoming patch.

> That isn't really a good argument not to have tests though.  While
> package maintainers should check that dependant packages still build,
> having early failure for a broken package (courtesy of the check phase)
> goes a long way.
>

I agree with this.

I did check each test, and there were three failing in the cloned repo
on my local machine=E2=80=A6 Until I ran them inside the package build
environment, where they all passed 100%. I have run this with --check
=2D-rounds=3D20 and have not seen a failure inside of the build environment,
so I will leave them enabled.

> Ah, yes, the infamous flip :)
> (cons* #:options your-options rest) ?

I've left these as (#:outputs (list outputs)), as that is less
characters than the above and I'm just passing in a single variable
(inside a list, as that is what the procedure is expecting) without any
(other) modifications.

> If there is no *variable* named "openjdk", I'd suggest using the lowest
> one that works.  If people are so inclined to use a newer jdk they can
> modify the package graph (which is easier than walking back to the
> earliest supported version), plus it's lower bootstrap for those of us
> building from source.

I've successfully built it using icedtea-8 (icedtea-7 failed), so I've
switched the patch over to that.

=2D-

Christopher Rodriguez

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEJMQbvYVxvZ0eF/84XZ6FgaGVz3sFAmLtzY0ACgkQXZ6FgaGV
z3tB5w/+Oua4kkLS5hHAuuykT6vVlpWgya/wWnc4TCwHVzRJMIH71i90LgvI4SzJ
7mex9dkpitbR0YCEzX25eibEfPdnFlkk+kVCmBu6loAcFVuNQ+kwxJZiwR03SWut
WIuvV0cK/tbw3RGQf+rj8meOUlVKrl5a122pcm2lSkcD7rSJ+Ga1yID5rh33bvM+
eypfl7C8v2GJw0+gyaYKBUc/pPxBT7VHGV6mZOazYRq+R+sW01OnA4TWO2XH9I4i
0tVijXHkaQN8Lh/9Jr/P+4utxN0jWOWm3tqMrLKYOuQx9qpSSYbs3AeStSddjbl+
Hi5pCpco96YoCOcUWxC2wgNySzYX8EQkN0Zu5k/MSBMxJZQfBuEr79nmpgjZo1i3
miXob3Sl6VU27+Blf22f6ZqDHRLgLEmtIW3Nkwv7D9TvQKS9Olz/ropYQ4DqNj8n
VNN8ANjTUXfpd+SKVnV3GipnZH+0VWKncfPVKCigCcwVhPbNi32kZDFKW9Esf6yD
gosoFjQDWUuPHg03blfkF0qTVK8ZxAaNQMOmPRCXTDLXFjUIwzABF0WrjlN/8LzA
guk4T8DAIoXkVEkLVQn9bBNZToN+spWvVlXZFtroZbNRGl+nJ7SkgVaQ/pFuMozs
W3OHMAdRk2YROnBcBgrPfc/IpCf+Ob0Vvi4g2k3tLb9/gRptmbM=
=dtfS
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#56989; Package guix-patches. Full text available.

Message received at 56989 <at> debbugs.gnu.org:


Received: (at 56989) by debbugs.gnu.org; 5 Aug 2022 22:33:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 18:33:54 2022
Received: from localhost ([127.0.0.1]:60681 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oK5t8-0004GQ-CU
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 18:33:54 -0400
Received: from mail-ed1-f68.google.com ([209.85.208.68]:35638)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1oK5t3-0004G9-4h
 for 56989 <at> debbugs.gnu.org; Fri, 05 Aug 2022 18:33:49 -0400
Received: by mail-ed1-f68.google.com with SMTP id w3so5039919edc.2
 for <56989 <at> debbugs.gnu.org>; Fri, 05 Aug 2022 15:33:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:cc:date:in-reply-to:references
 :user-agent:mime-version:content-transfer-encoding;
 bh=AC2Wu7sMvXqtGfpgg2kA04Nmu8PzXYB3JQu8M5WvHGM=;
 b=GS6LFvZkm6BnrUlDL2LBC7bBz5fbHcRW71elbeFJ75cjAZhxy4jkLNwadb0/jLT/wv
 wqaRSA2fI0kPRC+Gn1v7u1er32q61bJ8xULDgsTFCru8K5NUdXZP2CbvonMt9Fg3kz8W
 9xjNeX7/06sKGQIU/8OzhL4cZ60VHel5/SCUSiTB+fABiaAX4oFm7O9VnjltpP3Mrt5t
 J2zptTHnlP1IHxdfs1IJ4oB8RQn3/kwWNlXXwBoVtKIX60VEWp8tAGoBgVDLgbUmTa54
 sOSrKAPr70oNoZrRV7LAyG9WjzhqAKZ4LYUIeWJ2v01u4Lnq3uIA+lNbzfzcvHv64rfF
 urig==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:cc:date:in-reply-to
 :references:user-agent:mime-version:content-transfer-encoding;
 bh=AC2Wu7sMvXqtGfpgg2kA04Nmu8PzXYB3JQu8M5WvHGM=;
 b=ouRWW1PyAtu4POYCxEVtWXvStwmgPQBEoD/dupWx37bAnwnnwEyXMcmu3WbhmRSwsE
 +Iw7jb5g4BkCFMvHnQzW7wyuaUBrQ5jWXIh9L+xH4xZPbz1G/mEWLi6nUmf+JbGe2Rzu
 CuxRMJQ9O8JkF8/IVDQ4qHkIvvHEh12V1YyBkglTgb8YA6cnXi6BBdhR2O7JF2N0M9hW
 ELoMDhAW9YB2kbXOzt3aJ6V6gfD40pHI5gnG5HYSARu3BWsGWM2yP0wVTiXJe29hO+0y
 xA+BAS2+/JGJ5azxmUUWtpI1ZmwEdw8v4TxKT4AwNxruMxLiWrD2dC197HykNaaVH8u5
 QLAg==
X-Gm-Message-State: ACgBeo2GOpS0qAzPUoYznKA0LZPgO31aJ2SW8P8EuM+CA2JWSnVMEiA0
 E715n8WuqMOnARxtQxGakZ8=
X-Google-Smtp-Source: AA6agR7Sygo5oocN7UX8kxqpYR6rp9Smvl8LLlkwE10H6H/ot/bR5oicJ9BM917BD8JjYuUf8kNQtA==
X-Received: by 2002:aa7:d513:0:b0:43d:5c81:4f71 with SMTP id
 y19-20020aa7d513000000b0043d5c814f71mr4392744edq.308.1659738819177; 
 Fri, 05 Aug 2022 15:33:39 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 d23-20020a05640208d700b0043a7134b381sm550467edz.11.2022.08.05.15.33.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 05 Aug 2022 15:33:38 -0700 (PDT)
Message-ID: <5bffe66896dbebfe4716b924eb3d7a13e8e6344b.camel@HIDDEN>
Subject: Re: [PATCH v2] gnu: bqn: Add bqn.scm and dbqn package.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Christopher Rodriguez <yewscion@HIDDEN>
Date: Sat, 06 Aug 2022 00:33:37 +0200
In-Reply-To: <87zggin1u0.fsf@HIDDEN>
References: <20220805054616.30620-1-yewscion@HIDDEN>
 <7742c07ce28494af40c74262277417e60fe6f500.camel@HIDDEN>
 <87zggin1u0.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56989
Cc: 56989 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am Freitag, dem 05.08.2022 um 11:12 -0400 schrieb Christopher
Rodriguez:
> 
> > Don't let-bind tag, version and hash, use them inline.
> ...
> > Note that version will be bound here even if you use the version
> > field to do so.
> 
> This makes sense, and I've removed the let binding entirely. My only
> uncertainty is where "revision" should go; I've currently attached it
> to the upstream version tag (version "0.2.1-1"), where "0.2.1" is the
> tag and "1" is the revision. Is this correct?
You should let-bind revision and commit.  You should nt let-bind tag,
version and hash.  Use git-version like (git-version "0.2.1" revision
commit).

> 
> > You could do
> >   (replace 'check
> >     (lambda* (#:key tests? #:allow-other-keys)
> >       (when tests?
> >         (for-each (lambda (known-good-test)
> >                     (invoke my-glorious-bin known-good-test))
> >                   known-good-tests))))
> > FSVO my-glorious-bin and known-good-tests.
> 
> I plan to do this once I've been able to look at each test and the
> entire source and see if I can get it working. I've added an issue
> upstream[1] where the author of the package has confirmed it is on
> "just enough life support" to build the recommended implementation
> from source.
> 
> As it stands, I would have to test each test individually anyway, and
> only add it to the package if it arbitrarily passes on my machine for
> some reason. I don't think there is value there, as tests are meant
> to ensure consistency and I cannot do that using such a workflow.
Fair enough.

> And though this *is* and *should be* a public package, it is *not*
> the recommended interpreter for the language. It is primarily
> included here to build the recommended one (CBQN) from source, along
> with some other tools I've yet to package that require it during
> build.
That isn't really a good argument not to have tests though.  While
package maintainers should check that dependant packages still build,
having early failure for a broken package (courtesy of the check phase)
goes a long way.

> 
> > You can use #:rest args to bind args for apply.  Also use assoc-ref
> > rather than cdr + assoc.
> 
> I had, for some reason, flipped the arguments on assoc-ref (which
> obviously didn't work) and when that failed fell back to cdr + assoc.
> I woke up this morning and noticed my mistake; It is fixed now.
Ah, yes, the infamous flip :)

> As for the #:rest args recommendation: I cannot figure out how to
> explicitly bind (list options) to #:options in the apply call using
> #:rest. This is probably ignorance on my part; I am still learning
> the some of the mechanisms in scheme, and have not used #:rest (or
> the dot notation for it) much at all.
(cons* #:options your-options rest) ?

> Is there an example You could point me to so I can educate myself?
> 
> > Is OpenJDK 17 required?
> 
> Really, only a JDK 7+ is required. openjdk17 carries the "openjdk"
> label currently, and so I defaulted to that one. Is there another I
> should use in my packages instead?
If there is no *variable* named "openjdk", I'd suggest using the lowest
one that works.  If people are so inclined to use a newer jdk they can
modify the package graph (which is easier than walking back to the
earliest supported version), plus it's lower bootstrap for those of us
building from source.

Cheers




Information forwarded to guix-patches@HIDDEN:
bug#56989; Package guix-patches. Full text available.

Message received at 56989 <at> debbugs.gnu.org:


Received: (at 56989) by debbugs.gnu.org; 5 Aug 2022 15:52:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 11:52:13 2022
Received: from localhost ([127.0.0.1]:60335 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJzcS-0000FD-O8
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 11:52:12 -0400
Received: from mail-qv1-f41.google.com ([209.85.219.41]:35349)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yewscion@HIDDEN>) id 1oJzcQ-0000Ez-G4
 for 56989 <at> debbugs.gnu.org; Fri, 05 Aug 2022 11:52:11 -0400
Received: by mail-qv1-f41.google.com with SMTP id b7so2034935qvq.2
 for <56989 <at> debbugs.gnu.org>; Fri, 05 Aug 2022 08:52:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:in-reply-to:date:subject:cc:to:from
 :user-agent:references:from:to:cc;
 bh=t2kc236u+NrEIbkFz5T7WTAvAIfJG4RtFfWDPCVAvY0=;
 b=Cr7IrCFd1ZqPrOf/nsxSmMqEZYnGQ83Md2sKy0ogDxiZhvi3OllKbVVOwahtst3eF7
 XppkGP3w0LXgpVk8SrzIok/Iz73csuqxbYQbPz4GAaTKbgajxho3bw1I5t0KxgssvyHf
 L+dBmR4QnLUCJIIN4quU0XubZefyTzR6HNmQSFgHNjn+io5IhAxJou2+a6xhJgj3e9UP
 fBonRFdDkhLFtJ9MeKNdDun4+ORKRhgQxMGRFC2IIgsAxYGQYApWX/TDP6QPvXUov6oL
 1sDKkVaJspNdFfcYTLHP6wB3sxMN19LeSXR0LyFAwUoiL9kJpmv11VsJNsyjd6Nqo5Ku
 Mvbg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:in-reply-to:date:subject:cc:to:from
 :user-agent:references:x-gm-message-state:from:to:cc;
 bh=t2kc236u+NrEIbkFz5T7WTAvAIfJG4RtFfWDPCVAvY0=;
 b=yVHo231PItVeaenZI5s72YJq3MISFLa2EzPHjHPqZDg28t/aXZCCfVcBnNlBNVelR+
 yynwAjtKqRrHpdVYyweXxzVz83UlvgpZbWd1Te6JNy2gMLWYrqH2rnW/m7w+77yUNrU7
 lQ7GH8R5cX9Z3Q4IFGigpt5Df0kCZiemI3FP1E7/AMs7btLJOE71KcSCB8gHcGvfsIc3
 rhOzVWRS3b/OIQnOzPAlsn7IbbyPAj/yJ5H/Yc5NR+5YVpI3i8KJQ0b1HVNq0KtvWWZp
 EZeLh56F5712hNaWfq9zMooqOhE+c8E+6twMRIgOOT4oCQplWj50ks+761wvtQYvUUVZ
 7/OQ==
X-Gm-Message-State: ACgBeo3eK6casc1DVuxBcg/N+gwn0qAHTzns9cpfLspiMGCPoZcwX990
 gLlUqGwfEw7IR8g7NClzOdc=
X-Google-Smtp-Source: AA6agR6+rFL2WCmsrB0iSnmoK2THoRqvUiqsmCuN+0oTH9O0Q5/viqA/hUBxJA8kRccZfnOBaFnsiA==
X-Received: by 2002:a05:6214:21a3:b0:479:700c:372 with SMTP id
 t3-20020a05621421a300b00479700c0372mr1127809qvc.87.1659714725005; 
 Fri, 05 Aug 2022 08:52:05 -0700 (PDT)
Received: from gmail.com ([2601:547:a00:7720::7bb0])
 by smtp.gmail.com with ESMTPSA id
 v21-20020a05620a0f1500b006b5f0e8d1b9sm3027881qkl.81.2022.08.05.08.52.04
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 05 Aug 2022 08:52:04 -0700 (PDT)
References: <20220805054616.30620-1-yewscion@HIDDEN>
 <7742c07ce28494af40c74262277417e60fe6f500.camel@HIDDEN>
 <87zggin1u0.fsf@HIDDEN> <CLY7GIC21LOR.1V8BM1LV78WAN@guix-aspire>
User-agent: mu4e 1.8.7; emacs 28.1
From: Christopher Rodriguez <yewscion@HIDDEN>
To: "(" <paren@HIDDEN>
Subject: Re: [bug#56989] [PATCH v2] gnu: bqn: Add bqn.scm and dbqn package.
Date: Fri, 05 Aug 2022 11:50:28 -0400
In-reply-to: <CLY7GIC21LOR.1V8BM1LV78WAN@guix-aspire>
Message-ID: <87sfman0ws.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56989
Cc: Liliana Marie Prikler <liliana.prikler@HIDDEN>,
 Christopher Rodriguez <yewscion@HIDDEN>, 56989 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable


"(" <paren@HIDDEN> writes:

> Yes! :) You can send 'control messages' to <control <at> debbugs.gnu.org>
> to perform operations such as `close`, `merge`, `reopen`, and `unarchive`.

Ah, okay, thanks for the examples! I'll have to read up so I know what
all my options are.=20

=2D-

Christopher Rodriguez

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEJMQbvYVxvZ0eF/84XZ6FgaGVz3sFAmLtPKMACgkQXZ6FgaGV
z3v/WBAAxScHa1iztMoIRjkvqK2QgKWnxmSZ7SkbRli8CtZ+PjAjgV/HUc0vhQs7
KaAcRNmsDhmA474iDc9QUvPzcG1T6cosZJoPrcHFdFAXiijF8kmmeDj9sYMymEhQ
8fjAsrcL1OPLyKnCZhodLn4L9df2QfVN/hSzR0XNUx1xDcjdNdDn/ew7rGG7Jt5F
W/zGZj+bcol8Kl2EpWjiHqfZxGBqxkfQs0GJvfBaga1FWPzdkI1do2xlhHad2qvN
XycL7xBegenjh0sRLSgBIaeLMw3QfU6hHsvhn/EA097f1OfKukBiWicVHr4bQRcx
B+Na2jtRW/ID5XP9NErqz71lbTUIOT2XuwB2jGs2907Hjmt82WGnCRxFZDgnoIhh
pGxLHPHNDX0maQrXrGud4icOUAPHvpIkpt5GO1TfuGnoVPit1d3r6/2V4uAvPfOT
KV1N/DYi+VNlJhYuftyFSkPhMgNhK0PmxzEHvxPupLKXa07AEk+d9w1mSHmb/yvT
MQYsBKKMJAcc2l5ewXRNhxUIfm/dych1DIB2eoWfPiSkceyrP5C5j9gVKiubefGY
MkvTbe5x1cyFKwS1AFVBBZVIEAVULFJsji2L8Rq0tq+SjtTl4j9AAKeYCcZh/FDm
35Ln/Hg/ez/sGWRSuqjNqx4YsbNrVvaf/WbAldAbqrAdk4ZI6Kk=
=Xk87
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#56989; Package guix-patches. Full text available.

Message received at 56989 <at> debbugs.gnu.org:


Received: (at 56989) by debbugs.gnu.org; 5 Aug 2022 15:50:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 11:50:44 2022
Received: from localhost ([127.0.0.1]:60326 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJzb1-0000CD-Qt
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 11:50:44 -0400
Received: from mail-qt1-f176.google.com ([209.85.160.176]:44859)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yewscion@HIDDEN>)
 id 1oJzax-0000Bs-R2; Fri, 05 Aug 2022 11:50:42 -0400
Received: by mail-qt1-f176.google.com with SMTP id ey23so2297388qtb.11;
 Fri, 05 Aug 2022 08:50:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:in-reply-to:date:subject:cc:to:from
 :user-agent:references:from:to:cc;
 bh=SZNxjI9myeuABYR61McXQw6Ft913THDQFFxCz7FAGlM=;
 b=Y0Vd8yZLDFLl7C+1f5cgKYVjvyKD2je14+nVFd9yO6i1ZQSchD61PYSJI0j1VMnO1a
 YhaGgY84xO2jp4DGdvJnIpzIcltePvFOEYaf9eYcc7Y4og0RXkIH2H1TrvUY+D2Z3DDf
 iOjTBnpOIvlGwOJk4n1Xfyy2cuvYDa/xnGEQbODVKBevTqmFvl7WovHFGIbsGPcy7YZI
 onYzT2CtLv1TsUceL3q/depmAFOJM53EKOnfQqxVdzQfiVmm95vnSzTyiQR9IypOMVNJ
 j6QqGybLV32CV48+5cl1s75dg8uCrEdVN5wihWJ+CtcB/R1CXXx7cgjkjtR8bxdubsiW
 0dFQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:in-reply-to:date:subject:cc:to:from
 :user-agent:references:x-gm-message-state:from:to:cc;
 bh=SZNxjI9myeuABYR61McXQw6Ft913THDQFFxCz7FAGlM=;
 b=THa065X4kf1gcKUSG1KKGnBblrG5SDH15J85DemuOcIHrLVSsEFNkjSnR3vf97mo5S
 Cw+uPTjUCsC/Kn41cMc66UdtKzEgJFXjBBy2E7PoKuaVcCI5DRSg+UiXdxfJqjuWOoty
 yOpBhVd1aNyuSvWkon4X78fyp/b9K2icd5kJvKLA/KQckdn1FBrT5ZqsWw9UGEjwrbAT
 d6t7cFUDzdI48Us4wQ6EVIxp537edM18lqkD6wLXfo5MHrtRyjyI9rGkzOYaH4Yj74ND
 2VrxglA21+lusVHXyeXGsbJGVp7kWJ/CnAGh4PillDWQ+ONb/obOdi4MuS+fAvYiSMYU
 45rQ==
X-Gm-Message-State: ACgBeo2grhSAgloRSgsqKikZGMtZ9Z5iA8Wijk90CKTqNFYHzsXbYfQ2
 jTftWSESD47OR/UsXUF+AjU=
X-Google-Smtp-Source: AA6agR547QGXvu9IebJgD+jPPzu+dO+2TOaKJ8+sdVG+VK/eWEHDU29SC3iTczK4Clghvc91AJY5qg==
X-Received: by 2002:a05:622a:152:b0:31f:1ff1:b394 with SMTP id
 v18-20020a05622a015200b0031f1ff1b394mr6498502qtw.543.1659714634191; 
 Fri, 05 Aug 2022 08:50:34 -0700 (PDT)
Received: from gmail.com ([2601:547:a00:7720::7bb0])
 by smtp.gmail.com with ESMTPSA id
 t16-20020ac85310000000b0031eb643c0f5sm2748342qtn.94.2022.08.05.08.50.33
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 05 Aug 2022 08:50:33 -0700 (PDT)
References: <20220805054616.30620-1-yewscion@HIDDEN>
 <7742c07ce28494af40c74262277417e60fe6f500.camel@HIDDEN>
 <87zggin1u0.fsf@HIDDEN> <CLY7GIC21LOR.1V8BM1LV78WAN@guix-aspire>
User-agent: mu4e 1.8.7; emacs 28.1
From: Christopher Rodriguez <yewscion@HIDDEN>
To: "(" <paren@HIDDEN>
Subject: Re: [bug#56989] [PATCH v2] gnu: bqn: Add bqn.scm and dbqn package.
Date: Fri, 05 Aug 2022 11:50:28 -0400
In-reply-to: <CLY7GIC21LOR.1V8BM1LV78WAN@guix-aspire>
Message-ID: <87v8r6n0zb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56989
Cc: Liliana Marie Prikler <liliana.prikler@HIDDEN>,
 Christopher Rodriguez <yewscion@HIDDEN>, 56989 <at> debbugs.gnu.org,
 control <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 
"(" <paren@HIDDEN> writes:

> On Fri Aug 5, 2022 at 4:12 PM BST, Christopher Rodriguez wrote:
>> > merge 56989 56990 56991 56992 56993
>> > thanks
>>
>> Is this notation something anyone can do? I would very much like to be
>> able to fix my own mistakes in the future.
>
> Yes! :) You can send 'control messages' to <control <at> debbugs.gnu.org>
> to perform operations such as `close`, `merge`, `reopen`, and `unarchive`.
>
> For example:
>
>> To: control <at> debbugs.gnu.org
>>
>> close 19832
>> merge 98123 83720 64932
>> reopen 10284
>> unarchive 29177
>> thanks
>>
>>     -- (
>
> ("thanks" just stops the processing of commands and treats the rest as
> normal text.)
>
>     -- (


-- 
--

Christopher Rodriguez




Information forwarded to guix-patches@HIDDEN:
bug#56989; Package guix-patches. Full text available.

Message received at 56989 <at> debbugs.gnu.org:


Received: (at 56989) by debbugs.gnu.org; 5 Aug 2022 15:37:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 11:37:40 2022
Received: from localhost ([127.0.0.1]:60303 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJzOO-000669-6l
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 11:37:40 -0400
Received: from knopi.disroot.org ([178.21.23.139]:37776)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>)
 id 1oJzOL-00065x-Vt; Fri, 05 Aug 2022 11:37:38 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 28F1940DB7;
 Fri,  5 Aug 2022 17:37:36 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id sE7lVqWLYBPt; Fri,  5 Aug 2022 17:37:35 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1659713854; bh=ioyKIbcakvZv4W5+AEmwpzCpnJSpDjRsz9d+uhMGDlY=;
 h=Date:Cc:Subject:From:To:References:In-Reply-To;
 b=b92MEpkUew/EryqyS8FkeHUn4EBj6Ha4/oskdg1pHtZxJhldPM501OAYKLASH7vB7
 Q2w+HmI2P849mYyTPfcRxDsBXPN2+R3FCwO1YnyoSL4HedvGoOpLv2JSL08CZB8kV9
 UrwQHANWCYfb9MXnHrDs6iMH4UTMxos1Xykh98PLMTikHd3UHkFNUtTRbfmgojumOP
 pVU3h+DDiUH5jQ9WxXnbNmUBOl6b4lvu0ap2ejkH2+PRYuGGfny38wrHWx8b4T09bw
 BoDe916g+Pn3WwoIA6wPDmSTBH/aXUH5IMor0FqzyReSe3r8PmP7UZQZidYFwQM4Fz
 mGGEghKNbWeiA==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Fri, 05 Aug 2022 16:37:33 +0100
Message-Id: <CLY7GIC21LOR.1V8BM1LV78WAN@guix-aspire>
Subject: Re: [bug#56989] [PATCH v2] gnu: bqn: Add bqn.scm and dbqn package.
From: "(" <paren@HIDDEN>
To: "Christopher Rodriguez" <yewscion@HIDDEN>, "Liliana Marie Prikler"
 <liliana.prikler@HIDDEN>
References: <20220805054616.30620-1-yewscion@HIDDEN>
 <7742c07ce28494af40c74262277417e60fe6f500.camel@HIDDEN>
 <87zggin1u0.fsf@HIDDEN>
In-Reply-To: <87zggin1u0.fsf@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56989
Cc: control <at> debbugs.gnu.org, 56989 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri Aug 5, 2022 at 4:12 PM BST, Christopher Rodriguez wrote:
> > merge 56989 56990 56991 56992 56993
> > thanks
>
> Is this notation something anyone can do? I would very much like to be
> able to fix my own mistakes in the future.

Yes! :) You can send 'control messages' to <control <at> debbugs.gnu.org>
to perform operations such as `close`, `merge`, `reopen`, and `unarchive`.

For example:

> To: control <at> debbugs.gnu.org
>
> close 19832
> merge 98123 83720 64932
> reopen 10284
> unarchive 29177
> thanks
>
>     -- (

("thanks" just stops the processing of commands and treats the rest as
normal text.)

    -- (




Information forwarded to guix-patches@HIDDEN:
bug#56989; Package guix-patches. Full text available.

Message received at 56989 <at> debbugs.gnu.org:


Received: (at 56989) by debbugs.gnu.org; 5 Aug 2022 15:32:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 11:32:17 2022
Received: from localhost ([127.0.0.1]:60276 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJzJA-0005wF-Kb
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 11:32:17 -0400
Received: from mail-qv1-f50.google.com ([209.85.219.50]:40538)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yewscion@HIDDEN>)
 id 1oJzJ8-0005vz-EY; Fri, 05 Aug 2022 11:32:15 -0400
Received: by mail-qv1-f50.google.com with SMTP id i4so1977566qvv.7;
 Fri, 05 Aug 2022 08:32:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:in-reply-to:date:subject:cc:to:from
 :user-agent:references:from:to:cc;
 bh=pgl3hOklyfhczKHJcStWV7AB+IeBLAv+6G55936RSp4=;
 b=hUZJmDQpPrhVWvc5LRnjTyV+Lpx8pBoSD9M8tl/cVluVebECGAdOJy2W3vGC6/W62L
 0+DnGZ5zX3RVRgd/gn7W002nqsab4BwgZkDkw0D6QxKlOrHFhZ/2XmpaVa1FwWAIkMzc
 AOcwkrLmV6mholhIHBkpChp01aS+oeIkf1UMPdi+6mxkjNBpOGYf9d2mYTFjj/12rP1g
 FhLyJENREx1jKlJHQ8lJZcJtAiaeMpBJdLMA9eEbp7Xfg/Gj7IYUZes9ZA0cKhkUd9Hm
 A80tBKIe4gLtdGRfvOlniFhTMpkOPp7JZSyWbqGJvArJ73eO45VlANsCGNRHvpWrWtOq
 C5Tg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:in-reply-to:date:subject:cc:to:from
 :user-agent:references:x-gm-message-state:from:to:cc;
 bh=pgl3hOklyfhczKHJcStWV7AB+IeBLAv+6G55936RSp4=;
 b=qxhJopWdXmoDouNGFbM5krVOqbHAM1JUJJXAFZJbqpp/2o1tbu6hqCftlQXgRvyTn8
 HqfAiwmtT0TAeoG3LQgFyi7XuOcjuYwZLpBvDOfRGtaSY9SIc4mDnX4lpQTLGz3bejMs
 sEk2R6ZjjHpsFEM+M8y3tSZYvbqy2vFQNYnn1/QqlhASqYwDGxzIXz/7+Ki8XbntU7uC
 d0bZyG6onOnobFGiG5dR1+FyPfM3SA8dVhNcr5Z4QisTewStHqhaxtQEfqd2PpqgmaV0
 b6BToCRrUyogGpglAOIopcHPQSKqUHD4B/Ud8QyYBGmO8b46vZ2WcnR5YW6IEWyelhC2
 Xp3A==
X-Gm-Message-State: ACgBeo35i7Rpbap9kUoikvAE0ayS1gm0oZgArVDwQaKLT6EcBuH9tLl0
 vJ8n2yC8P+eU2gW7GJRxA58O8i8GMl6Ykw==
X-Google-Smtp-Source: AA6agR7eg0bdhlA8+F6k1O6TrxzEOy9Xcw4GeHTxP5P2pvMLJGGmmp5nUoC+AEuB/81qqnCAqErMdQ==
X-Received: by 2002:ad4:5be8:0:b0:479:6ba3:f08c with SMTP id
 k8-20020ad45be8000000b004796ba3f08cmr1431011qvc.85.1659713528837; 
 Fri, 05 Aug 2022 08:32:08 -0700 (PDT)
Received: from gmail.com ([2601:547:a00:7720::7bb0])
 by smtp.gmail.com with ESMTPSA id
 w4-20020a05620a424400b006b8d1914504sm3338053qko.22.2022.08.05.08.32.08
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 05 Aug 2022 08:32:08 -0700 (PDT)
References: <20220805054616.30620-1-yewscion@HIDDEN>
 <7742c07ce28494af40c74262277417e60fe6f500.camel@HIDDEN>
User-agent: mu4e 1.8.7; emacs 28.1
From: Christopher Rodriguez <yewscion@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: [PATCH v2] gnu: bqn: Add bqn.scm and dbqn package.
Date: Fri, 05 Aug 2022 11:12:53 -0400
In-reply-to: <7742c07ce28494af40c74262277417e60fe6f500.camel@HIDDEN>
Message-ID: <87zggin1u0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56989
Cc: Christopher Rodriguez <yewscion@HIDDEN>, 56989 <at> debbugs.gnu.org,
 control <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Liliana Marie Prikler <liliana.prikler@HIDDEN> writes:

> merge 56989 56990 56991 56992 56993
> thanks

Is this notation something anyone can do? I would very much like to be
able to fix my own mistakes in the future.

> Regarding the patch title, just one level of grouping is enough.
> That is, use "gnu: Add dbqn."
>
> Also, you're missing a ChangeLog, i.e.
>
> * gnu/packages/bqn.scm: New file.
> * gnu/local.mk (GNU_SYSTEM_MODULES): Register it here.

I have amended the commit message to reflect the above. Thanks for the
tips!

I've also added `%D%/packages/bqn.scm` to `gnu/local.mk`, as requested.

> Don't let-bind tag, version and hash, use them inline.
...
> Note that version will be bound here even if you use the version field
> to do so.

This makes sense, and I've removed the let binding entirely. My only
uncertainty is where "revision" should go; I've currently attached it to
the upstream version tag (version "0.2.1-1"), where "0.2.1" is the tag
and "1" is the revision. Is this correct?

> You could do
>   (replace 'check
>     (lambda* (#:key tests? #:allow-other-keys)
>       (when tests?
>         (for-each (lambda (known-good-test)
>                     (invoke my-glorious-bin known-good-test))
>                   known-good-tests))))
> FSVO my-glorious-bin and known-good-tests.

I plan to do this once I've been able to look at each test and the
entire source and see if I can get it working. I've added an issue
upstream[1] where the author of the package has confirmed it is on "just
enough life support" to build the recommended implementation from
source.

As it stands, I would have to test each test individually anyway, and
only add it to the package if it arbitrarily passes on my machine for
some reason. I don't think there is value there, as tests are meant to
ensure consistency and I cannot do that using such a workflow.

And though this *is* and *should be* a public package, it is *not* the
recommended interpreter for the language. It is primarily included here
to build the recommended one (CBQN) from source, along with some other
tools I've yet to package that require it during build.

> Could this be done in/before install?

It could, in fact. I've moved it to the above step, and deleted subjars
entirely.

> You can use #:rest args to bind args for apply.  Also use assoc-ref
> rather than cdr + assoc.

I had, for some reason, flipped the arguments on assoc-ref (which
obviously didn't work) and when that failed fell back to cdr + assoc. I
woke up this morning and noticed my mistake; It is fixed now.

As for the #:rest args recommendation: I cannot figure out how to
explicitly bind (list options) to #:options in the apply call using
#:rest. This is probably ignorance on my part; I am still learning the
some of the mechanisms in scheme, and have not used #:rest (or the dot
notation for it) much at all.

Is there an example You could point me to so I can educate myself?

> Is OpenJDK 17 required?

Really, only a JDK 7+ is required. openjdk17 carries the "openjdk" label
currently, and so I defaulted to that one. Is there another I should use
in my packages instead?


> Cheers

Thank You for the speedy response!

--

Christopher Rodriguez




Information forwarded to guix-patches@HIDDEN:
bug#56989; Package guix-patches. Full text available.
Merged 56989 56990 56991 56992 56993. Request was from Liliana Marie Prikler <liliana.prikler@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 56989 <at> debbugs.gnu.org:


Received: (at 56989) by debbugs.gnu.org; 5 Aug 2022 07:16:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 03:16:06 2022
Received: from localhost ([127.0.0.1]:55981 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJrYz-0001tx-L8
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 03:16:06 -0400
Received: from mailrelay.tugraz.at ([129.27.2.202]:1071)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>)
 id 1oJrYt-0001t8-LN; Fri, 05 Aug 2022 03:16:03 -0400
Received: from lprikler-laptop.ist.intra (gw.ist.tugraz.at [129.27.202.101])
 by mailrelay.tugraz.at (Postfix) with ESMTPSA id 4LzcMF4HWkz1LXt0;
 Fri,  5 Aug 2022 09:15:53 +0200 (CEST)
DKIM-Filter: OpenDKIM Filter v2.11.0 mailrelay.tugraz.at 4LzcMF4HWkz1LXt0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=tugraz.at;
 s=mailrelay; t=1659683754;
 bh=rnG4PBMsdlXDXd44cQmQDWSyFfJ5M8qELxKCMCO5DdM=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References:From;
 b=eFIj+cBNt7iqEuAuEs462PfNSPGo32JfFD+aAzPDw89OyjVEJzQA200QLMmyEuyzg
 Mdl3T3zQ8S78gbCjXdi8rDLWQIdAYTWf2DmjklBVmGUVL9D4SJjlqoFtKf2xoQxrLS
 vOYvs/LZnFH9+4oAigREJLhSSmiwm6zMKT4B2WME=
Message-ID: <7742c07ce28494af40c74262277417e60fe6f500.camel@HIDDEN>
Subject: Re: [PATCH v2] gnu: bqn: Add bqn.scm and dbqn package.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Christopher Rodriguez <yewscion@HIDDEN>, 56989 <at> debbugs.gnu.org
Date: Fri, 05 Aug 2022 09:15:52 +0200
In-Reply-To: <20220805054616.30620-1-yewscion@HIDDEN>
References: <20220805054616.30620-1-yewscion@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-TUG-Backscatter-control: waObeELIUl4ypBWmcn/8wQ
X-Spam-Scanner: SpamAssassin 3.003001 
X-Spam-Score-relay: -1.9
X-Scanned-By: MIMEDefang 2.74 on 129.27.10.117
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56989
Cc: control <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

merge 56989 56990 56991 56992 56993
thanks

Regarding the patch title, just one level of grouping is enough.
That is, use "gnu: Add dbqn."

Also, you're missing a ChangeLog, i.e.

* gnu/packages/bqn.scm: New file.
* gnu/local.mk (GNU_SYSTEM_MODULES): Register it here.

Note that the second change is lacking from your patch.

Am Freitag, dem 05.08.2022 um 01:46 -0400 schrieb Christopher
Rodriguez:
> Thanks to some help from upstream and on IRC (thanks, dzaima and
> lilyp!) I
> was able to remove the non-determinism issue. Here's an updated
> patch.
> 
> ---
>  gnu/packages/bqn.scm | 102
> +++++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 102 insertions(+)
>  create mode 100644 gnu/packages/bqn.scm
> 
> diff --git a/gnu/packages/bqn.scm b/gnu/packages/bqn.scm
> new file mode 100644
> index 0000000000..261f29ece5
> --- /dev/null
> +++ b/gnu/packages/bqn.scm
> @@ -0,0 +1,102 @@
> +(define-module (gnu packages bqn)
> +  #:use-module ((guix licenses) #:prefix license:)
> +  #:use-module (guix gexp)
> +  #:use-module (guix packages)
> +  #:use-module (guix download)
> +  #:use-module (guix git-download)
> +  #:use-module (guix build-system copy)
> +  #:use-module (guix build-system gnu)
> +  #:use-module (guix utils)
> +  #:use-module (guix deprecation)
> +  #:use-module (gnu packages)
> +  #:use-module (gnu packages libffi)
> +  #:use-module (gnu packages base)
> +  #:use-module (gnu packages pkg-config)
> +  #:use-module (gnu packages llvm)
> +  #:use-module (gnu packages java)
> +  #:use-module (gnu packages compression))
> +(define-public dbqn
> +  (let* ((tag "0.2.1")
> +         (revision "1")
> +         (commit "0bbe096fc07d278b679a8479318f1722d096a03e")
> +         (hash
> "1kxzxz2hrd1871281s4rsi569qk314aqfmng9pkqn8gv9nqhmph0")
> +         (version (git-version tag revision commit)))
Don't let-bind tag, version and hash, use them inline.
> +    (package
> +      (name "dbqn")
> +      (version version)
> +      (source (origin
> +                (method git-fetch)
> +                (uri (git-reference
> +                      (url "https://github.com/dzaima/BQN")
> +                      (commit commit)))
> +                (file-name (git-file-name name version))
Note that version will be bound here even if you use the version field
to do so.
> +                (sha256
> +                 (base32
> +                  hash))))
> +      (outputs '("out"))
> +      (build-system gnu-build-system)
> +      (arguments
> +       (list #:tests? #f ;While there is a "test" directory, there
> is no
> +             ;; mechanism to run the tests other than to feed the
> files into the
> +             ;; binary and check for an error. This is outside the
> scope of a
> +             ;; packaging workflow, and would need to be fixed
> upstream
> +             ;; instead. Issue Reported:
> https://github.com/dzaima/BQN/issues/12
> +             ;; Maintainer says many of the tests fail, and so they
> will remain off
> +             ;; until this is sorted out.
You could do
  (replace 'check
    (lambda* (#:key tests? #:allow-other-keys)
      (when tests?
        (for-each (lambda (known-good-test)
                    (invoke my-glorious-bin known-good-test))
                  known-good-tests))))
FSVO my-glorious-bin and known-good-tests.
> +             #:imported-modules `(,@%gnu-build-system-modules (guix
> build
> +                                                                   
> syscalls)
> +                                  (guix build ant-build-system))
> +             #:modules `((guix build gnu-build-system)
> +                         ((guix build ant-build-system)
> +                          #:prefix ant:)
> +                         (guix build utils))
> +             #:phases #~(modify-phases %standard-phases
> +                          (delete 'configure)
> +                          (replace 'build
> +                            (lambda* _
> +                              (invoke "./build")))
> +                          (add-after 'build 'strip-jar-timestamps
> +                            (lambda* (#:key outputs #:allow-other-
> keys)
> +                              (write %standard-phases)))
> +                          (replace 'install
> +                            (lambda* (#:key outputs #:allow-other-
> keys)
> +                              (let* ((out (assoc-ref outputs "out"))
> +                                     (dest-bin (string-append out
> "/bin"))
> +                                     (dest-jar (string-append out
> +                                                             
> "/share/java")))
> +                                (mkdir-p dest-bin)
> +                                (mkdir-p dest-jar)
> +                                (copy-recursively "BQN"
> +                                                  (string-append
> dest-bin
> +                                                                
> "/dbqn"))
> +                                (chmod (string-append dest-bin
> "/dbqn") 493)
> +                                (install-file "BQN.jar" dest-jar))))
> +                          (add-after 'install 'subjars
> +                            (lambda* (#:key outputs #:allow-other-
> keys)
> +                              (let* ((out (assoc-ref outputs "out"))
> +                                     (dest-bin (string-append out
> "/bin"))
> +                                     (dest-jar (string-append out
> +                                                             
> "/share/java")))
> +                                (substitute* (string-append dest-bin
> "/dbqn")
> +                                  (("BQN.jar")
> +                                   (string-append dest-jar
> "/BQN.jar"))))))
Could this be done in/before install?
> +                          (add-after 'subjars 'reorder-jar-content
> +                            (lambda* (#:key outputs #:allow-other-
> keys)
> +                              (apply (cdr (assoc 'reorder-jar-
> content
> +                                                 ant:%standard-
> phases))
> +                                     #:outputs (list outputs))))
You can use #:rest args to bind args for apply.  Also use assoc-ref
rather than cdr + assoc.
> +                          (add-after 'reorder-jar-content 'jar-
> indices
> +                            (lambda* (#:key outputs #:allow-other-
> keys)
> +                              (apply (cdr (assoc 'generate-jar-
> indices
> +                                                 ant:%standard-
> phases))
> +                                     #:outputs (list outputs))))
> +                          (add-after 'jar-indices 'fix-jar-
> timestamps
> +                            (lambda* (#:key outputs #:allow-other-
> keys)
> +                              (apply (cdr (assoc 'reorder-jar-
> content
> +                                                 ant:%standard-
> phases))
> +                                     #:outputs (list outputs)))))))
> +      (native-inputs (list `(,openjdk17 "jdk") coreutils zip))
Is OpenJDK 17 required?
> +      (synopsis "BQN implementation based on dzaima/APL")
> +      (description "BQN implementation based on dzaima/APL.")
> +      (home-page "https://github.com/dzaima/BQN")
> +      (license license:expat))))
Cheers





Information forwarded to guix-patches@HIDDEN:
bug#56989; Package guix-patches. Full text available.

Message received at 56989 <at> debbugs.gnu.org:


Received: (at 56989) by debbugs.gnu.org; 5 Aug 2022 05:46:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 05 01:46:30 2022
Received: from localhost ([127.0.0.1]:55749 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJqAI-0003Vy-0e
	for submit <at> debbugs.gnu.org; Fri, 05 Aug 2022 01:46:30 -0400
Received: from mail-qk1-f174.google.com ([209.85.222.174]:45647)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yewscion@HIDDEN>) id 1oJqAG-0003Vj-GA
 for 56989 <at> debbugs.gnu.org; Fri, 05 Aug 2022 01:46:29 -0400
Received: by mail-qk1-f174.google.com with SMTP id m22so1179805qkm.12
 for <56989 <at> debbugs.gnu.org>; Thu, 04 Aug 2022 22:46:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:from:to:cc;
 bh=IUX7CDoWdpw9SO41JXWthlCQQHzVcQW6FLoaN40e4RE=;
 b=q1fo9XCdGkkvhrpCd0eZosh5mTydaQL2GNEe8on3/NCgs3bjXYNbAUyp4eMEB6S70b
 Pv/1FeQmoakC90MQuZomtK+f1n/CLioRPaY3zvv+8G0q7kdVYNzrfaBjEtJW6p2g2Hsp
 gW0Mi/Urc48gsIHjCy5Jzq35iSG5LMd5L5PCYnBJwq5Re/Eihky6Y7iPp5B2GcggIFLS
 DhaMYVdI7oBGgtBK6HjoDKksow5kZsXRnKci6ZSc2Kpa+0cw3euP/vLJR5s0kNKzBR0N
 13NGWviyhMKNH0jleOuZ6GGSRBv7029UvG9A6gV4Bl6MAa+XS4MHrSqXw8EkFhAuXLBz
 0k4A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:x-gm-message-state:from:to:cc;
 bh=IUX7CDoWdpw9SO41JXWthlCQQHzVcQW6FLoaN40e4RE=;
 b=Z7nYI7ySji5fmzw5I8uK+ZjgSW+QpY+qwm0lJIqdpAmMGdVJbi+IDaeGliXk7yHjqZ
 Q2QPR4l3PbMgbOiActgi2ZLSCGNVDfUGjLYm02GiS8UjvRjJVmKiw3ypjxBXmK0BlXyW
 Hg7GfsrwSv7lYF6/mNTqZzcxyYwc4uPZGRuuzpAtGB0hMt59zZb7rmxRJcFEsQloQkFt
 9zsiyUHqw8QlNlOqPmxmo/OgURAtRRltGumbBRb5ZRFQRNm+/DNN1lOeMvlgAZ6D1eTZ
 gSupsWMQxj43j09vuT8pzgOChzNImARHjrWKYRluy5su1zqBDhzwT9PV+pWofFUi3MXL
 5KYw==
X-Gm-Message-State: ACgBeo1GIB28/tTZIMiuc01mHn1V3RuPvXvP519FIlwmDXr8WExXZfe9
 huo9YHDo3T8NnPjwLdhiF8n1hgJZv45zRw==
X-Google-Smtp-Source: AA6agR4GCwTKjIx5daoiYTX98xxeytGMqB1NcWWxzWBh2EG2Z7KKpM35v/mFkM8nZdOf0IkdgGRTFQ==
X-Received: by 2002:a37:dcc7:0:b0:6b8:e3c2:3e3 with SMTP id
 v190-20020a37dcc7000000b006b8e3c203e3mr3756484qki.213.1659678382602; 
 Thu, 04 Aug 2022 22:46:22 -0700 (PDT)
Received: from gmail.com ([2601:547:a00:7720::7bb0])
 by smtp.gmail.com with ESMTPSA id
 y5-20020a37f605000000b006b5f8f32a8fsm2119374qkj.114.2022.08.04.22.46.21
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 04 Aug 2022 22:46:22 -0700 (PDT)
From: Christopher Rodriguez <yewscion@HIDDEN>
To: 56989 <at> debbugs.gnu.org
Subject: [PATCH v2] gnu: bqn: Add bqn.scm and dbqn package.
Date: Fri,  5 Aug 2022 01:46:16 -0400
Message-Id: <20220805054616.30620-1-yewscion@HIDDEN>
X-Mailer: git-send-email 2.37.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56989
Cc: Christopher Rodriguez <yewscion@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thanks to some help from upstream and on IRC (thanks, dzaima and lilyp!) I
was able to remove the non-determinism issue. Here's an updated patch.

---
 gnu/packages/bqn.scm | 102 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 102 insertions(+)
 create mode 100644 gnu/packages/bqn.scm

diff --git a/gnu/packages/bqn.scm b/gnu/packages/bqn.scm
new file mode 100644
index 0000000000..261f29ece5
--- /dev/null
+++ b/gnu/packages/bqn.scm
@@ -0,0 +1,102 @@
+(define-module (gnu packages bqn)
+  #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (guix gexp)
+  #:use-module (guix packages)
+  #:use-module (guix download)
+  #:use-module (guix git-download)
+  #:use-module (guix build-system copy)
+  #:use-module (guix build-system gnu)
+  #:use-module (guix utils)
+  #:use-module (guix deprecation)
+  #:use-module (gnu packages)
+  #:use-module (gnu packages libffi)
+  #:use-module (gnu packages base)
+  #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages llvm)
+  #:use-module (gnu packages java)
+  #:use-module (gnu packages compression))
+(define-public dbqn
+  (let* ((tag "0.2.1")
+         (revision "1")
+         (commit "0bbe096fc07d278b679a8479318f1722d096a03e")
+         (hash "1kxzxz2hrd1871281s4rsi569qk314aqfmng9pkqn8gv9nqhmph0")
+         (version (git-version tag revision commit)))
+    (package
+      (name "dbqn")
+      (version version)
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url "https://github.com/dzaima/BQN")
+                      (commit commit)))
+                (file-name (git-file-name name version))
+                (sha256
+                 (base32
+                  hash))))
+      (outputs '("out"))
+      (build-system gnu-build-system)
+      (arguments
+       (list #:tests? #f ;While there is a "test" directory, there is no
+             ;; mechanism to run the tests other than to feed the files into the
+             ;; binary and check for an error. This is outside the scope of a
+             ;; packaging workflow, and would need to be fixed upstream
+             ;; instead. Issue Reported: https://github.com/dzaima/BQN/issues/12
+             ;; Maintainer says many of the tests fail, and so they will remain off
+             ;; until this is sorted out.
+             #:imported-modules `(,@%gnu-build-system-modules (guix build
+                                                                    syscalls)
+                                  (guix build ant-build-system))
+             #:modules `((guix build gnu-build-system)
+                         ((guix build ant-build-system)
+                          #:prefix ant:)
+                         (guix build utils))
+             #:phases #~(modify-phases %standard-phases
+                          (delete 'configure)
+                          (replace 'build
+                            (lambda* _
+                              (invoke "./build")))
+                          (add-after 'build 'strip-jar-timestamps
+                            (lambda* (#:key outputs #:allow-other-keys)
+                              (write %standard-phases)))
+                          (replace 'install
+                            (lambda* (#:key outputs #:allow-other-keys)
+                              (let* ((out (assoc-ref outputs "out"))
+                                     (dest-bin (string-append out "/bin"))
+                                     (dest-jar (string-append out
+                                                              "/share/java")))
+                                (mkdir-p dest-bin)
+                                (mkdir-p dest-jar)
+                                (copy-recursively "BQN"
+                                                  (string-append dest-bin
+                                                                 "/dbqn"))
+                                (chmod (string-append dest-bin "/dbqn") 493)
+                                (install-file "BQN.jar" dest-jar))))
+                          (add-after 'install 'subjars
+                            (lambda* (#:key outputs #:allow-other-keys)
+                              (let* ((out (assoc-ref outputs "out"))
+                                     (dest-bin (string-append out "/bin"))
+                                     (dest-jar (string-append out
+                                                              "/share/java")))
+                                (substitute* (string-append dest-bin "/dbqn")
+                                  (("BQN.jar")
+                                   (string-append dest-jar "/BQN.jar"))))))
+                          (add-after 'subjars 'reorder-jar-content
+                            (lambda* (#:key outputs #:allow-other-keys)
+                              (apply (cdr (assoc 'reorder-jar-content
+                                                 ant:%standard-phases))
+                                     #:outputs (list outputs))))
+                          (add-after 'reorder-jar-content 'jar-indices
+                            (lambda* (#:key outputs #:allow-other-keys)
+                              (apply (cdr (assoc 'generate-jar-indices
+                                                 ant:%standard-phases))
+                                     #:outputs (list outputs))))
+                          (add-after 'jar-indices 'fix-jar-timestamps
+                            (lambda* (#:key outputs #:allow-other-keys)
+                              (apply (cdr (assoc 'reorder-jar-content
+                                                 ant:%standard-phases))
+                                     #:outputs (list outputs)))))))
+      (native-inputs (list `(,openjdk17 "jdk") coreutils zip))
+      (synopsis "BQN implementation based on dzaima/APL")
+      (description "BQN implementation based on dzaima/APL.")
+      (home-page "https://github.com/dzaima/BQN")
+      (license license:expat))))

base-commit: 116c0268ffd387c88b6b47135203fb330eb422f0
-- 
2.37.1





Information forwarded to guix-patches@HIDDEN:
bug#56989; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Aug 2022 02:20:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 04 22:20:36 2022
Received: from localhost ([127.0.0.1]:55508 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJmx2-0006KO-9R
	for submit <at> debbugs.gnu.org; Thu, 04 Aug 2022 22:20:36 -0400
Received: from lists.gnu.org ([209.51.188.17]:57140)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yewscion@HIDDEN>) id 1oJmwz-0006KE-C2
 for submit <at> debbugs.gnu.org; Thu, 04 Aug 2022 22:20:35 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46024)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <yewscion@HIDDEN>)
 id 1oJmwz-00011Q-4C
 for guix-patches@HIDDEN; Thu, 04 Aug 2022 22:20:33 -0400
Received: from mail-qk1-x72c.google.com ([2607:f8b0:4864:20::72c]:39858)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <yewscion@HIDDEN>)
 id 1oJmwx-0007hQ-9Q
 for guix-patches@HIDDEN; Thu, 04 Aug 2022 22:20:32 -0400
Received: by mail-qk1-x72c.google.com with SMTP id m7so996995qkk.6
 for <guix-patches@HIDDEN>; Thu, 04 Aug 2022 19:20:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:from:to:cc;
 bh=AkfLc2XC8kVdmdxF8aD/1LQbVfONG3JeJFV9zeTzfXU=;
 b=dFwynUIv6xlhDixqioBw3Wn1mWPqtqvXvbJ8/4hFwOWNMcEy/PAQNygbQeZEaTArkM
 2r94mkMOcup/PEXnnJbVANt62+RRcwtYV0KZonHXsC68aigzmiHyOxK+X0UKE1nip1Jl
 71Eli31NE5X+iidgmrp2n/LDrepIAYUNtbFYnfjt6GO/xYVXwOJePklyJ6vqi+Vml2p+
 y3JVJHDH/di+L5gY+YY5PzME+5wI61Ri58QXyP+VSV/6LZekPOQhtZmBNKzEqFBIiWh9
 JVeZoL2fRSVbQC2FW+bYxZzA0CoH++xIPPqx/s+Rq7WXFFUVi3uYCGDUb6eQuClBKEIl
 Xs9g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:x-gm-message-state:from:to:cc;
 bh=AkfLc2XC8kVdmdxF8aD/1LQbVfONG3JeJFV9zeTzfXU=;
 b=JNR77PBql/rASD8QGoCecDMeUEs6CcxaWBghdlRUem6xgMWWr4IYJoeX1YEvKjO9BV
 VBg95XRzRhZIit5mt/CGHJrz9BqG4l1uo3iomWRNsz8i3cXOwHiO59nJbKYlRXnr1Ai1
 RnQvHhah6cMjbkDVew4VG1OyIKdOXz4O5uHwOWUEPycGNj+vU0KV0UOQSSJ0vq+VCegg
 Tg3WjwFi17d+W4HYw4TdFB+SGoNY3wHQ2GLWew8R5ANn0izKDVAMqIlPbKxHKOvez4DP
 PcygUEjkzZONEECWCHP07rheQ3JUrpcf2BrGUwhMiV8fgCCr5cBSyJ0vAeRHPPmdh5G/
 Wg7g==
X-Gm-Message-State: ACgBeo0du/diw3gvf5EhzU+HPP36/03ZJXuvTuACOp4nTVe+IMD3wLjt
 ehsKQay6e7PSSfJEcqB3G3i3LtP7zNCp4g==
X-Google-Smtp-Source: AA6agR4yUSnPf8aSJnCmuRXg2xpavVerV6Rthp7WmKlvj60E/RasxkA+nso9Iz+GKKPSrP9jtX2eHA==
X-Received: by 2002:a05:620a:24d4:b0:6b6:2fb2:428d with SMTP id
 m20-20020a05620a24d400b006b62fb2428dmr3596275qkn.206.1659666029385; 
 Thu, 04 Aug 2022 19:20:29 -0700 (PDT)
Received: from gmail.com ([2601:547:a00:7720::7bb0])
 by smtp.gmail.com with ESMTPSA id
 bk4-20020a05620a1a0400b006b89a19a32dsm1897877qkb.69.2022.08.04.19.20.28
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 04 Aug 2022 19:20:29 -0700 (PDT)
From: Christopher Rodriguez <yewscion@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH v1 1/5] gnu: bqn: Add bqn.scm and dbqn package.
Date: Thu,  4 Aug 2022 22:20:19 -0400
Message-Id: <20220805022023.5044-1-yewscion@HIDDEN>
X-Mailer: git-send-email 2.37.1
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::72c;
 envelope-from=yewscion@HIDDEN; helo=mail-qk1-x72c.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Christopher Rodriguez <yewscion@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hello all,

This is a set of patches to add CBQN (and the packages required to build it
from source) to the official Guix repository.

CBQN is the recommended implementation of the BQN language, which is a new
array programming language in the same vein as APL, K, Q, J, Dyalog APL,
etc. Even better than most of those, it carries a FSDG compatible license
(the implementation is even under single-license GPL!) and so I feel as
though it should definitely be a part of GNU Guix.

While there are still a few outstanding issues I hope to address with those
upstream eventually (all documented in the comments), I believe I have
followed the guidelines in the manual. Please let me know what I can improve,
and how I might expedite this awesome language's inclusion in GNU Guix.

---
 gnu/packages/bqn.scm | 92 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 92 insertions(+)
 create mode 100644 gnu/packages/bqn.scm

diff --git a/gnu/packages/bqn.scm b/gnu/packages/bqn.scm
new file mode 100644
index 0000000000..53e2f0a057
--- /dev/null
+++ b/gnu/packages/bqn.scm
@@ -0,0 +1,92 @@
+(define-module (gnu packages bqn)
+  #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (guix gexp)
+  #:use-module (guix packages)
+  #:use-module (guix download)
+  #:use-module (guix git-download)
+  #:use-module (guix build-system copy)
+  #:use-module (guix build-system gnu)
+  #:use-module (guix utils)
+  #:use-module (guix deprecation)
+  #:use-module (gnu packages)
+  #:use-module (gnu packages libffi)
+  #:use-module (gnu packages base)
+  #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages llvm)
+  #:use-module (gnu packages java))
+
+;; Currently this package is non-deterministic due to random generation in
+;; some of the primitives. This is marked as a TODO in the source code, but
+;; per the maintainer this package almost solely exists for the purpose of
+;; building CBQN at this point, and therefore is not a high priority. Git
+;; reports this here:
+;;
+;; src/BQN/types/callable/builtins/fns/EpsBuiltin.java:45:71:
+;; …<snip> // TODO these (and in ⊐) shouldn't be random numbers
+;;
+;; Reported Upstream Here: https://github.com/dzaima/BQN/issues/14
+;;
+;; This issue therefore means that none of the packages for bqn can be checked
+;; for non-determinism at this time, as dbqn is a prerequisite for all of
+;; them.
+(define-public dbqn
+  (let* ((tag "0.2.1")
+         (revision "1")
+         (commit "0bbe096fc07d278b679a8479318f1722d096a03e")
+         (hash "1kxzxz2hrd1871281s4rsi569qk314aqfmng9pkqn8gv9nqhmph0")
+         (version (git-version tag revision commit)))
+    (package
+      (name "dbqn")
+      (version version)
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url "https://github.com/dzaima/BQN")
+                      (commit commit)))
+                (file-name (git-file-name name version))
+                (sha256
+                 (base32
+                  hash))))
+      (outputs '("out"))
+      (build-system gnu-build-system)
+      (arguments
+       (list #:tests? #f ;While there is a "test" directory, there is no
+             ;; mechanism to run the tests other than to feed the files into the
+             ;; binary and check for an error. This is outside the scope of a
+             ;; packaging workflow, and would need to be fixed upstream
+             ;; instead. Issue Reported: https://github.com/dzaima/BQN/issues/12
+             ;; Maintainer says many of the tests fail, and so they will remain off
+             ;; until this is sorted out.
+             #:phases #~(modify-phases %standard-phases
+                          (delete 'configure)
+                          (replace 'build
+                            (lambda* _
+                              (invoke "./build")))
+                          (replace 'install
+                            (lambda* (#:key outputs #:allow-other-keys)
+                              (let* ((out (assoc-ref outputs "out"))
+                                     (dest-bin (string-append out "/bin"))
+                                     (dest-jar (string-append out
+                                                              "/share/java")))
+                                (mkdir-p dest-bin)
+                                (mkdir-p dest-jar)
+                                (copy-recursively "BQN"
+                                                  (string-append dest-bin
+                                                                 "/dbqn"))
+                                (chmod (string-append dest-bin "/dbqn") 493)
+                                (install-file "BQN.jar" dest-jar))))
+                          (add-after 'install 'subjars
+                            (lambda* (#:key outputs #:allow-other-keys)
+                              (let* ((out (assoc-ref outputs "out"))
+                                     (dest-bin (string-append out "/bin"))
+                                     (dest-jar (string-append out
+                                                              "/share/java")))
+                                (substitute* (string-append dest-bin "/dbqn")
+                                  (("BQN.jar")
+                                   (string-append dest-jar "/BQN.jar")))))))))
+      (native-inputs (list `(,openjdk17 "jdk")
+                           coreutils))
+      (synopsis "BQN implementation based on dzaima/APL")
+      (description "BQN implementation based on dzaima/APL.")
+      (home-page "https://github.com/dzaima/BQN")
+      (license license:expat))))

base-commit: 116c0268ffd387c88b6b47135203fb330eb422f0
-- 
2.37.1





Acknowledgement sent to Christopher Rodriguez <yewscion@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#56989; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 8 Aug 2022 14:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.